=== Later ChangeLog is auto-generated ===

2009-04-14  Stef Walter  <stef@memberwebs.com>

	* AUTHORS: Add gnome keyring mailing list

2009-04-01  Stef Walter  <stef@memberwebs.com>

	* egg/egg-unix-credentials.c: Build fix for Clang.
	Patch by Ed Schouten. 

2009-04-01  Stef Walter  <stef@memberwebs.com>

	* gcr/tests/Makefile.am: Distribute test data. 
	Fixes bug #577397
	
2009-04-01  Stef Walter  <stef@memberwebs.com>

	* egg/egg-asn1.c: Make function definitions match
	declarations for egg_asn1 time functions. Fixes bug #576762
	
2009-04-01  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* daemon/Makefile.am:
	* daemon/org.gnome.keyring.service.in: Include the full
	path to gnome-keyring-daemon in the DBus service file.
	Fixes problems with autostarting daemon. See bug #576630 

2009-04-01  Stef Walter  <stef@memberwebs.com>

	* egg/egg-secure-memory.c: Fix assertion that occurs when 
	shrinking block of secure memory and then expanding again.
	
	* egg/egg-secure-memory.c: 
	* egg/egg-secure-memory.h: Add validator which walks the 
	secure memory heap and checks for inconsistencies.
	
	* egg/egg-secure-memory.c: Fix problem where freed memory
	is not inserted into the unused ring properly. This caused
	enless loops. Should fix bug #575247
	
	* egg/egg-secure-memory.c: 
	* egg/tests/unit-test-secmem.c: Put in a semi-random test
	excercising 1000 iterations of allocation, reallocation, 
	freeing. Validates between each step.

2009-03-20  Stef Walter  <stef@memberwebs.com>

	* configure.in: Quote shell variable properly in configure.in
	Patch by  Daiki Ueno. Fixes bug #575805

2009-03-20  Stef Walter  <stef@memberwebs.com>

	* pkcs11/rpc-layer/gck-rpc-daemon-standalone.c: Don't use err.h
	since Solaris doesn't have it. Fixes bug #575829
	
2009-03-16  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-utils.c: Set USERNAME 
	and LOGNAME environment variables in daemon when 
	starting up. Fixes bug #575262. Reported by Matthias Clasen

2009-03-16  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version

2009-03-16  Stef Walter  <stef@memberwebs.com>

	* Merge docs-organize branch.

=== gnome-keyring 2.26.0 ===

2009-03-14  Stef Walter  <stef@memberwebs.com>

	* configure.in: 
	* NEWS: Version 2.26.0

2009-03-10  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* daemon/Makefile.am:
	* daemon/gnome-keyring-daemon.desktop.in.in:
	* daemon/org.gnome.keyring.service.in:
	* egg/egg-secure-memory.c:
	* pam/gkr-pam-module.c: Implement valgrind support for our 
	memory allocator, and support for running gnome-keyring-daemon
	under valgrind. Use --enable-valgrind=run

2009-03-04  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* egg/Makefile.am:
	* egg/tests/Makefile.am:
	* pkcs11/gck/Makefile.am:
	* pkcs11/gck/tests/Makefile.am: Check for asn1Parser tool in
	configure. Patch by Alberto Ruiz. Fixes bug #566731
	
2009-03-03  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-module.c: 
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/gp11.h: Allow specifying auto-authenticate property on a 
	more fine grained level.
	
	* pkcs11/gck/gck-roots-module.c: Don't expose public key for 
	certificates as a findable PKCS#11 object.
	
	* pkcs11/ssh-agent/gck-ssh-agent-ops.c:
	* pkcs11/ssh-agent/gck-ssh-agent-standalone.c:
	* pkcs11/ssh-agent/gck-ssh-agent.c: Only login to a token once we 
	have a public key for which we want to use the private. 

2009-03-03  Stef Walter  <stef@memberwebs.com>

	* HACKING: Add link to architecture page on wiki.

2009-03-02  Stef Walter  <stef@memberwebs.com>

	* egg/egg-secure-entry.c: Fix "gnome-keyring-ask needs to disable 
	input method in password" bug #561331 Patch by Takao Fujiwara

=== gnome-keyring 2.25.92 ===

2009-03-02  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release version 2.25.92

2009-02-28  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c: Don't allow multiple callers to overlap 
	completing the daemon initialization. This led to assertions and 
	a crash on startup.

2009-02-28  Stef Walter  <stef@memberwebs.com>

	* daemon/keyrings/gkr-keyrings.c: Load keyrings if they've never been 
	loaded when looking for a keyring.

	 * daemon/pkcs11/gkr-pkcs11-auth-ep.c:
	 * daemon/pkcs11/gkr-pkcs11-auth.c:
	 * daemon/pkcs11/gkr-pkcs11-auth.h:
	 * pkcs11/pkcs11i.h:
	 * pkcs11/ssh-store/gck-ssh-openssh.c:
	 * pkcs11/ssh-store/gck-ssh-openssh.h:
	 * pkcs11/ssh-store/gck-ssh-private-key.c:
	 * pkcs11/user-store/gck-user-storage.c: Add compatibility support for 
	loading SSH key unlock passwords from previous versions of gnome-keyring.

2009-02-28  Stef Walter  <stef@memberwebs.com>

	* egg/egg-secure-memory.c: Fix compiler warnings on 32-bit.
	
	* daemon/pk/*: Remove remaining old unused files.

2009-02-26  Stef Walter  <stef@memberwebs.com>

	* gcr/gcr-importer.c: Add quick hack to initialize tokens before
	importing into them. More functionality along this line will
	be needed in future versions.
	
	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-module.h:
	* pkcs11/user-store/gck-user-module.c: Make different virtual functions
	for the logout of SO and user. 
	
	* daemon/pkcs11/gkr-pkcs11-auth-ep.c: Prompt for new password when C_InitPIN
	is called on a token.
	
	* pkcs11/gck/gck-module.c: Implement C_InitPIN for the cases when no PIN 
	exists yet. 
	
	* pkcs11/gck/gck-data-file.c: Remove erroneous assertion.
	
	* daemon/pkcs11/gkr-pkcs11-auth.c: Fix double free.
	
	* gcr/gcr-importer.c: Fix problem with looking up pin initialized flag 
	in the wrong structure.
	
	* pkcs11/user-store/gck-user-storage.c: Fix problems not writing out 
	user store file when making modifications, but overwriting storage
	file with zero byte file.
	
	* pkcs11/gck/gck-data-file.c:
	* pkcs11/user-store/gck-user-storage.c: Fix problems loading private
	objects prematurely from the user store without first logging in.
	
	* pkcs11/user-store/gck-user-private-key.c:
	* pkcs11/user-store/gck-user-storage.c: Track logins properly when 
	unlocking private objects.
	
	* gck/gck-import-dialog.c: Some changes to the import dialog.
	
2009-02-25  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-module.h:
	* pkcs11/gck/gck-session.c:
	* pkcs11/gck/gck-session.h:
	* pkcs11/pkcs11i.h:
	* pkcs11/user-store/gck-user-module.c: Add support for basic SO logins.

2009-02-25  Stef Walter  <stef@memberwebs.com>

	* daemon/pkcs11/gkr-pkcs11-auth-ep.c: Don't automatically initialize
	tokens without user pin. This leads to erroneous prompts at unexpected
	times.
	
	* gp11/gp11-module.c: When enumerating objects in a module, skip 
	tokens that fail from not being initialized.
	
	* pkcs11/roots-store/gck-roots-certificate.c: Fix problem with destruction
	of roots certificate. dispose erroneously called base class finalize.
	
2009-02-25  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-data-file.c:
	* pkcs11/gck/gck-data-file.h:
	* pkcs11/gck/tests/.gitignore:
	* pkcs11/gck/tests/Makefile.am:
	* pkcs11/gck/tests/dump-data-file.c: (added)
	Implement a testing tool to dump gck data files such as the user 
	key store.

2009-02-24  Stef Walter  <stef@memberwebs.com>

	* tool/gkr-tool-import.c: Exit when an error occurs on import.
	
2009-02-24  Stef Walter  <stef@memberwebs.com>

	* pkcs11/pkcs11i.h:
	* pkcs11/user-store/gck-user-storage.c: Hash objects when storing them
	in user-store and validate the hashes when loading them.

2009-02-24  Stef Walter  <stef@memberwebs.com>

	* pkcs11/pkcs11g.h: Remove old unused definitions.
	
	* pkcs11/pkcs11g.h: 
	* pkcs11/pkcs11i.h: (added) 
	* pkcs11/Makefile.am:
	* pkcs11/gck/gck-module.c: 
	* pkcs11/plex-layer/gck-plex-layer.c: 
	* pkcs11/rpc-layer/gck-rpc-dispatch.c: Move internal definitions a non 
	public header file.
	
2009-02-19  Jeff Cai <jeff.cai@sun.com>

	* egg/egg-secure-memory.c:
	Use union instead of struct.
	Fixes bug #571951

2009-02-18  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: If login keyring doesn't exist when 
	changing the password, don't create it. Fixes bug #572282
	Patch by Vincent Untz

2009-02-14  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c: Close stdin/stdout when not running
	in foreground. Fixes bug #571781
	
2009-02-14  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== gnome-keyring 2.25.91 ===

2009-02-14  Stef Walter  <stef@memberwebs.com>

	* configure.in: 
	* NEWS: 
	* gcr/tests/unit-test-certificate.c: Release version 2.25.91

2009-02-14  Stef Walter  <stef@memberwebs.com>

	* daemon/ui/gkr-ask-tools.c: Add strings for fixing of bug #571423
	
2009-02-14  Magnus Boman  <captain.magnus@gmail.com>

	reviewed by: Stef Walter

	* daemon/ui/gkr-ask-tool.c (create_markup), (run_dialog):
	Bug #570295, Correctly escape markups. Patch by Joe Shaw

2009-02-13  Stef Walter  <stef@memberwebs.com>

	* egg/egg-asn1.c:
	* egg/egg-asn1.h:
	* egg/egg-oid.c: (added)
	* egg/egg-oid.h: (added)
	* egg/Makefile.am:
	* egg/tests/unit-test-asn1.c:
	* egg/tests/unit-test-oid.c: (added)
	* egg/tests/Makefile.am:
	* gcr/gcr-certificate-details-widget.c: Pull out OID information 
	functionality into it's own file. 
	
	* gcr/tests/ui-test-details.c: Change to right directory so we can 
	easily find test certificates.
	
	* gcr/gcr-certificate-details-widget.c: Fill in key and signature
	algorithms and parameters.
	
	* gcr/gcr-certificate.c:
	* gcr/gcr-certificate.h:
	* gcr/gcr-certificate-details-widget.c: Fill in the key size field.
	
	* egg/egg-oid.c: Fill in the OID descriptions for RSA and DSA stuff.
	
	* gcr/tests/ui-test-details.c: Allow loading any DER certificate file.
	
	* gcr/gcr-certificate-details-widget.c: Show extensions as in hex form.
	No parsing of extensions yet.
	
	* gcr/gcr-certificate-details-widget.c: Don't show horizontal scrollbar.
	
2009-02-13  Stef Walter  <stef@memberwebs.com>

	* gcr/gcr-certificate-basics-widget.c: Show the correct MD5 hash
	in certificate basics dialog. Patch by Fabrizio Tarizzo. Fixes bug #567769
	
	* egg/egg-hex.c:
	* egg/egg-hex.h:
	* egg/tests/unit-test-hex.c:
	* gcr/gcr-certificate-details-widget.c: Allow specifying the delemiter
	and case of hex encodings.
	
	* gcr/gcr-certificate.c: Use more readable upper case space delemited
	hex encoding for the fingerprint.

2009-02-13  Stef Walter  <stef@memberwebs.com>

	 * daemon/gkr-daemon-io.c:
	 * daemon/gkr-daemon.c:
	 * daemon/keyrings/gkr-keyring.c:
	 * daemon/ui/gkr-ask-tool.c:
	 * egg/egg-buffer.h:
	 * egg/egg-secure-memory.c:
	 * egg/egg-secure-memory.h:
	 * gcr/gcr-library.c:
	 * library/gnome-keyring-memory.c:
	 * library/gnome-keyring-proto.c:
	 * pam/gkr-pam-stubs.c:
	 * pkcs11/gck/gck-data-types.h:
	 * pkcs11/roots-store/gck-roots-standalone.c:
	 * pkcs11/rpc-layer/gck-rpc-module.c:
	 * pkcs11/ssh-agent/gck-ssh-agent-standalone.c:
	 * pkcs11/ssh-store/gck-ssh-standalone.c:
	 * pkcs11/user-store/gck-user-standalone.c:
	 * tests/gtest-helpers.c:
	 * tests/test-helpers.c: Use size_t and gsize for memory sizes rather
	 than unsigned long. Fixes bug #571615
	 
	 * egg/egg-secure-memory.c: Don't allow allocating zero bytes.
	 
	 * egg/egg-buffer.c: Don't try and allocate 0 bytes when changing 
	 allocator on an empty buffer.

2009-02-11  Stef Walter  <stef@memberwebs.com>

	* egg/egg-secure-memory.c: Remove non-useful mincell structure
	element from sub allocator.
	
	* egg/egg-secure-memory.c: Remove FORCE_MALLOC_MEMORY define. It seems
	we can accomplish the identical goal with FORCE_FALLBACK_MEMORY.
	
	* egg/egg-secure-memory.c: Calculate memory header size at compile time.
	
	* egg/egg-secure-memory.c: Remove unused field.
	
	* egg/egg-secure-memory.c: Be much stricter about checking pointers and
	sizes being passed around.
	
	* egg/egg-secure-memory.c: Completely overhaul the secure memory allocator.
	Don't store metadata inside the secure memory area. Add memory guards, so 
	that we can see if/when memory is incorrectly overflown. 
	
2009-02-11  Stef Walter  <stef@memberwebs.com>

	* gcr/gcr-certificate-basics-widget.h:
	* gcr/gcr-certificate-details-widget.h:
	* gcr/gcr-certificate.h:
	* gcr/gcr-import-dialog.h:
	* gcr/gcr-importer.h:
	* gcr/gcr-parser.h:
	* gcr/gcr-simple-certificate.h:
	* gcr/gcr-types.h: Add G_BEGIN_DECLS/G_END_DECLS to gcr headers.

2009-02-10  Xan Lopez  <xan@gnome.org>

	Bug 571194 -G_BEGIN_DECLS/G_END_DECLS missing from headers

	* library/gnome-keyring.h:
	* library/gnome-keyring-memory.h:

	Add G_BEGIN_DECLS/G_END_DECLS so the library can be used with a
	C++ compiler.

2009-02-10  Stef Walter  <stef@memberwebs.com>

	* gcr/gcr.pc.in: Correct pkg-config for the gp11 dependency.

2009-02-09  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-module.c: Remove two useless unused class members.
	
	* pkcs11/gck/gck-module.c: 
	* pkcs11/gck/gck-module.h: 
	* pkcs11/roots-store/gck-roots-module.c: 
	* pkcs11/ssh-store/gck-ssh-module.c:
	* pkcs11/user-store/gck-user-module.c: Allow dynamically changing the 
	slot info and token info.
	
	* pkcs11/roots-store/gck-roots-module.c: 
	* pkcs11/ssh-store/gck-ssh-module.c:
	* pkcs11/user-store/gck-user-module.c: Set the serial numbers to something
	more maintainable, since we use them for looking up passwords.
	
	* daemon/pkcs11/gkr-pkcs11-auth-ep.c: Correlate state correctly between
	prompt and done function.
	
	* pkcs11/user-store/gck-user-module.c:
	* pkcs11/user-store/gck-user-storage.c:
	* pkcs11/user-store/gck-user-storage.h: Dynamically update the state which 
	allows us to prompt for a password for a new token.	
	
2009-02-08  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-data-der.c: Make output of RSA keys and PKCS8
	more interoperable.
	
	* pkcs11/gck/gck-transaction.c: Fix problem not deleting temporary
	files after doing a transaction write.
	
2009-02-08  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c:
	* daemon/pkcs11/gkr-pkcs11-auth.c:
	* gcr/gcr-importer.c: Add translator comments. Fixes bug #570529
	
2009-02-08  Stef Walter  <stef@memberwebs.com>

	* daemon/data/gnome-keyring.schemas: Remove gconf schema for loading
	of PKCS#11 modules. See mailing list.

2009-02-07  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-certificate.c:
	* pkcs11/gck/gck-certificate.h:
	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-private-key.c:
	* pkcs11/gck/gck-private-key.h:
	* pkcs11/gck/gck-public-key.c:
	* pkcs11/gck/gck-public-key.h:
	* pkcs11/user-store/gck-user-module.c:
	* pkcs11/user-store/gck-user-private-key.c:
	* pkcs11/user-store/gck-user-private-key.h:
	* pkcs11/user-store/gck-user-public-key.c:
	* pkcs11/user-store/gck-user-public-key.h: Create proper factories
	for storable objects and certificate.
	
	* gcr/gcr-importer.c: CKA_TOKEN is a CK_BBOOL not a CK_ULONG
	
	* gcr/gcr-library.c: Setup automatically log into token, and pool sessions.
	
	* pkcs11/user-store/gck-user-storage.c: Initialize fd members properly.
	
	* pkcs11/user-store/gck-user-storage.c: Don't try to load objects that we add 
	to the store ourselves.
	
	* pkcs11/user-store/gck-user-private-key.c: Properly initialize new token
	private keys, so that they can be saved.
	
	* pkcs11/user-store/gck-user-storage.c: Don't add a dash to the front of 
	the identifiers of stored objects.

2009-02-07  Stef Walter  <stef@memberwebs.com>

	* gp11/Makefile.am: Fix problem with not distributing pkcs11.h

2009-02-07  Stef Walter  <stef@memberwebs.com>

	* HACKING: Update after refactoring with new info about parts
	
2009-02-07  Stef Walter  <stef@memberwebs.com>

	* common/Makefile.am:
	* common/gkr-location.c:
	* common/tests/Makefile.am:
	* daemon/Makefile.am:
	* daemon/gkr-daemon-dbus.c:
	* egg/Makefile.am:
	* egg/egg-dbus.c (moved from common/gkr-dbus.c):
	* egg/egg-dbus.h (moved from common/gkr-dbus.h): Move the 
	general dbus code into our egg folder.  

	* common/gkr-daemon-util.c -> daemon/gkr-daemon-util.c:
	* common/gkr-daemon-util.h -> daemon/gkr-daemon-util.h:
	* common/Makefile.am:
	* daemon/Makefile.am:
	* daemon/gkr-daemon-dbus.c:
	* daemon/gkr-daemon-io.c:
	* daemon/gkr-daemon-ops.c:
	* daemon/gkr-daemon-util.c:
	* daemon/gkr-daemon-util.h:
	* daemon/gkr-daemon.c:
	* daemon/pkcs11/gkr-pkcs11-daemon.c:
	* daemon/ui/gkr-ask-daemon.c: Move gkr-daemon-util code from 
	common into daemon since that's where it's used.

2009-02-07  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* egg/Makefile.am:
	* egg/tests/unit-test-symkey.c:
	* gcr/gcr-library.c:
	* pkcs11/gck/gck-crypto.c:
	* egg/egg-libgcrypt.c: (added)
	* egg/egg-libgcrypt.h: (added) Centralize the way that libgcrypt
	is initialized from our code, so the different components don't
	step on each other's toes.

2009-02-07  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* daemon/pk/*: (deleted)
	* daemon/pkix/*: (mostly deleted)
	* daemon/Makefile.am: Removed all old 'pkix' stuff since it's now 
	implemented in the modular gck components. Also remove most of the 
	'pk' stuff. Only leaving behind the last few things we need to 
	refactor.
	
	* common/gkr-crypto.c: (deleted)
	* common/gkr-crypto.h: (deleted)
	* common/gkr-id.c: (deleted)
	* common/gkr-id.h: (deleted)
	* common/Makefile.am:
	* common/tests/unit-test-unique.c: (deleted)
	* common/tests/Makefile.am:
	* daemon/gkr-daemon.c: Remove more unused code. 

2009-02-07  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/Makefile.am:
	* pkcs11/gck/gck-certificate-trust.c:
	* pkcs11/gck/gck-certificate-trust.h:
	* pkcs11/gck/gck-certificate.c:
	* pkcs11/gck/gck-certificate.h:
	* pkcs11/gck/gck-types.h:
	* pkcs11/roots-store/gck-roots-certificate.c:
	* pkcs11/roots-store/gck-roots-certificate.h:
	* pkcs11/roots-store/gck-roots-module.c: Implement netscape trust 
	in roots-store, so that we can have Root CA certificates trusted
	by NSS programs.

2009-02-07  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-data-der.c:
	* pkcs11/gck/tests/test-data/test-certificate-2.der: (added)
	* pkcs11/gck/tests/unit-test-data-der.c: Enable key usage and enhanced
	usage parsing, and build tests for them. 
	
	* pkcs11/gck/tests/test.asn: Fix MPI ASN.1 test
	
	* gp11/pkcs11g.h:
	* daemon/pk/gkr-pk-cert.c:
	* daemon/pk/gkr-pk-netscape-trust.c:
	* daemon/pk/gkr-pk-util.c:
	* daemon/pk/tests/unit-test-pk-cert.c: Remove the trust bits since 
	they're very ambiguous and not necessary.

	* pkcs11/user-store/gck-user-module.c: Call base class in login and 
	logout methods so all the sessions are marked with appropriate state.
	
	* pkcs11/rpc-layer/gck-rpc-message.c:
	* pkcs11/rpc-layer/gck-rpc-module.c: Use 64 bit integers when 
	transferring ulongs between module and daemon.
	
	* pkcs11/gck/gck-attributes.c: Return -1 when an attribute buffer
	was provided but too small. Correct according to PKCS#11. 

	* gp11/Makefile.am:
	* gp11/pkcs11.h:
	* pkcs11/Makefile.am: We should only have one pkcs11.h header.
	
	* pkcs11/pkcs11.h: More fixes for 64-bit ulongs.	
	
2009-02-07  Stef Walter  <stef@memberwebs.com>

	* gcr/Makefile.am: Add GTK library dependency in libgcr.
	See bug #570393
	
	* pkcs11/gck/Makefile.am:
	* pkcs11/roots-store/Makefile.am:
	* pkcs11/ssh-store/Makefile.am:
	* pkcs11/user-store/Makefile.am: Link libegg into gck where 
	it's actually used. See bug #568406

2009-02-07  Stef Walter  <stef@memberwebs.com>

	* egg/egg-secure-memory.c: Fix problems with clearing
	out entire memory block when allocating memory, and 
	then reallocating it. 
	
	* egg/tests/unit-test-secmem.c: Use more portable construct
	for signifying invalid memory in a test.
	
	* gp11/tests/unit-test-gp11-attributes.c: Fix problem not 
	specifying size correctly when using varargs in tests.
	
	* gp11/tests/unit-test-gp11-slot.c: Don't use freed memory
	in test.
	
	* gp11/tests/unit-test-gp11-session.c: Use properly sized variable
	to store handle in the test.
	
	* gp11/tests/unit-test-gp11-object.c: Use varargs properly.

2009-02-05  Thomas H.P. Andersen  <phomes@gmail.com>

	* pkcs11/rpc-layer/gck-rpc-private.h:
	* egg/tests/unit-test-symkey.c:
	* egg/tests/unit-test-openssl.c:
	* egg/egg-openssl.c:
	* gp11/tests/gp11-test-module.c: Fix warnings from -Wold-style-declaration. 
	Fixes bug #570652

2009-02-02  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.25.90 ===

2009-02-02  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.25.90

2009-02-02  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-cert.c:
	* daemon/pk/gkr-pk-import.c:
	* daemon/pk/gkr-pk-object.c:
	* daemon/pk/gkr-pk-privkey.c:
	* daemon/pk/gkr-pk-pubkey.c:
	* daemon/pk/gkr-pk-util.c:
	* gp11/gp11-attributes.c:
	* gp11/gp11-object.c:
	* gp11/tests/unit-test-gp11-attributes.c:
	* gp11/tests/unit-test-gp11-object.c:
	* gp11/tests/unit-test-gp11-session.c:
	* pkcs11/gck/gck-attributes.c:
	* pkcs11/gck/gck-private-key.c:
	* pkcs11/gck/gck-public-key.c:
	* pkcs11/gck/gck-session.c:
	* pkcs11/ssh-agent/gck-ssh-agent-ops.c:
	* pkcs11/ssh-agent/gck-ssh-agent-proto.c:
	* tools/gkr-tool-import.c: Fix more size problems when using constants 
	with varargs. Fixes bug #569736. Research by Christophe Fergeau
	
2009-01-31  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* pkcs11/gck/Makefile.am: Fix rules to allow non-source-dir builds.
	Fixes bug #569938

2009-01-30  Stef Walter  <stef@memberwebs.com>

	* pkcs11/rpc-layer/gck-rpc-dispatch.c:
	* pkcs11/rpc-layer/gck-rpc-module.c: Build fix. Patch by  Saleem Abdulrasool
	Fixes bug #568378

2009-01-30  Stef Walter  <stef@memberwebs.com>

	* daemon/Makefile.am: Install autostart desktop files in /etc/xdg/autostart
	Fixes bug #568754
	
2009-01-30  Stef Walter  <stef@memberwebs.com>

	* daemon/keyrings/gkr-keyring.c:
	* daemon/keyrings/tests/unit-test-keyring-file.c: Don't assert when 
	trying to lock a keyring without a password. Fixes bug #569253

2009-01-30  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/pkcs11.h: Fix size problems when using constants 
	with varargs. Fixes bug #569736. Research by Christophe Fergeau

2009-01-30  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-attributes.c: Use a more definite value for 
	our varargs termination. Fixes bug #569769
	
2009-01-30  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-io.c:
	* daemon/ui/gkr-ask-request.c:
	* daemon/ui/gkr-ask-tool.c:
	* pkcs11/gck/gck-data-file.c: Fix invalid checks for EINTR
	and EAGAIN while reading and writing. Fixes bug #569786
	Caught by James Henstridge

2009-01-28  Stef Walter  <stef@memberwebs.com>

	* gcr/gcr-simple-certificate.c:
	* pkcs11/gck/gck-data-der.c: Build fixes. 

2009-01-28  Stef Walter  <stef@memberwebs.com>

	* gcr/gcr.h:
	* gcr/gcr.pc.in:
	* gcr/gcr-certificate-basics-widget.h:
	* gcr/gcr-certificate-details-widget.h:
	* gcr/gcr-importer.h:
	* gcr/gcr-parser.h:
	* gcr/gcr-types.h:
	* gcr/Makefile.am: Install appropriate header files 
	and fix the pkg-config file for the gcr library.

	* gcr/gcr-certificate.c:
	* gcr/gcr-certificate.h:
	* gcr/gcr-simple-certificate.c: (added)
	* gcr/gcr-simple-certificate.h: (added)
	* gcr/tests/ui-test-details.c:
	* gcr/tests/unit-test-certificate.c: Make GcrCertificate
	an interface so that it can more easily plug into 
	various libraries.

2009-01-27  Stef Walter  <stef@memberwebs.com>

	* egg/egg-asn1.c:
	* egg/egg-asn1.h:
	* egg/egg-hex.c:
	* egg/egg-hex.h:
	* egg/pkix.asn:
	* egg/tests/unit-test-asn1.c:
	* egg/tests/unit-test-hex.c:
	* gcr/gcr-certificate.c: (added)
	* gcr/gcr-certificate.h: (added)
	* gcr/gcr-certificate-basics-widget.c: (added)
	* gcr/gcr-certificate-basics-widget.glade: (added)
	* gcr/gcr-certificate-basics-widget.h: (added)
	* gcr/gcr-certificate-details-widget.c: (added)
	* gcr/gcr-certificate-details-widget.h: (added)
	* gcr/gcr-library.c:
	* gcr/gcr-parser.c: 
	* gcr/Makefile.am:
	* gcr/tests/Makefile.am:
	* gcr/tests/ui-test-details.c: (added)
	* gcr/tests/unit-test-certificate.c: (added) Add basic UI widgets for 
	displaying a certificate. 
	
2009-01-22  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-index.c:
	* daemon/pkcs11/gkr-pkcs11-auth-ep.c: Fix compiler warnings.

2009-01-22  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c:
	* common/gkr-crypto.h:
	* common/tests/Makefile.am:
	* common/tests/unit-test-crypto.c: (removed)
	* daemon/Makefile.am:
	* daemon/keyrings/gkr-keyring-binary.c:
	* daemon/pk/gkr-pk-index.c:
	* daemon/pk/gkr-pk-root-storage.c:
	* daemon/pk/gkr-pk-session-storage.c:
	* daemon/pkix/gkr-pkix-der.c:
	* daemon/pkix/gkr-pkix-openssl.c: (removed)
	* daemon/pkix/gkr-pkix-openssl.h: (removed)
	* daemon/pkix/gkr-pkix-pem.c: (removed)
	* daemon/pkix/gkr-pkix-pem.h: (removed)
	* daemon/pkix/gkr-pkix-serialize.c:
	* daemon/pkix/Makefile.am:
	* daemon/pkix/tests/Makefile.am:
	* daemon/pkix/tests/unit-test-pkix-openssl.c: (removed)
	* daemon/ssh/*: (removed)
	* daemon/ssh/tests/*: (removed)
	* configure.in: Removed lots of unused code resulting from refactoring.

2009-01-22  Stef Walter  <stef@memberwebs.com>

	* daemon/pkcs11/gkr-pkcs11-auth.c:
	* daemon/pkcs11/gkr-pkcs11-auth.h:
	* daemon/pkcs11/gkr-pkcs11-auth-ep.c:
	* pkcs11/pkcs11g.h:
	* pkcs11/ssh-agent/gck-ssh-agent-ops.c: Added ability to clear cached 
	authentication for an object. In addition made 'ssh-add -D' clear any
	cached authentication for SSH keys. Fixes bug #568525
	
2009-01-21  Stef Walter  <stef@memberwebs.com>

	* daemon/ui/gkr-ask-entry.c: (moved)
	* daemon/ui/gkr-ask-entry.h: (moved)
	* daemon/ui/gkr-ask-tool.c:
	* daemon/ui/Makefile.am:
	* egg/egg-secure-entry.c: (moved from daemon/ui/gkr-ask-entry.c)
	* egg/egg-secure-entry.h: (moved from daemon/ui/gkr-ask-entry.h)
	* egg/Makefile.am:
	* gcr/gcr.h: (added)
	* gcr/gcr-import-dialog.c: (added)
	* gcr/gcr-import-dialog.glade:
	* gcr/gcr-import-dialog.h: (added)
	* gcr/gcr-importer.c:
	* gcr/gcr-importer.h:
	* gcr/gcr-internal.c: (removed)
	* gcr/gcr-internal.h:
	* gcr/gcr-library.c: (added)
	* gcr/gcr-parser.c: 
	* gcr/gcr-parser.h:
	* gcr/gcr-types.h:
	* gcr/Makefile.am:
	* gcr/tests/Makefile.am:
	* gcr/tests/unit-test-parser.c:
	* tool/gkr-tool.c:
	* tool/gkr-tool-import.c: 
	* tool/Makefile.am: Complete importer in gcr library. Make 'gnome-keyring import'
	use the new importer.

2009-01-20  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-module.c:
	* gp11/gp11-object.c:
	* gp11/gp11-slot.c:
	* gp11/tests/unit-test-gp11-module.c:
	* gp11/tests/unit-test-gp11-object.c:
	* gp11/tests/unit-test-gp11-slot.c: Add hash and equals functions for 
	PKCS#11 modules, slots, and objects. Allows them to be used in hash tables
	and searches.

2009-01-20  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-misc.c:
	* gp11/gp11-module.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c: Expose looking up slot flags,
	and a few other helpful functions.

=== gnome-keyring 2.25.5 ===

2009-01-19  Stef Walter  <stef@memberwebs.com>

	* egg/Makefile.am:
	* egg/tests/test.asn:
	* egg/tests/unit-test-secmem.c:
	* egg/tests/unit-test-symkey.c:
	* egg/tests/test-data/test-certificate-1.der: (added)
	* egg/tests/test-data/pem-rsa-enc.key: (added)
	* gcr/Makefile.am: 
	* pkcs11/roots-sotre/gck-roots-module.c: 
	* configure.in:
	* NEWS: Release version 2.25.5

2009-01-18  Stef Walter  <stef@memberwebs.com>

	* gcr/tests/unit-test-parser.c: Fix build warning

2009-01-18  Stef Walter  <stef@memberwebs.com>

	* egg/egg-asn1.c:
	* egg/egg-hex.c: (split from pkcs11/gck/gck-util.c)
	* egg/egg-hex.h: (split from pkcs11/gck/gck-util.h)
	* egg/egg-openssl.c: (moved from pkcs11/gck/gck-data-openssl.c)
	* egg/egg-openssl.h: (moved from pkcs11/gck/gck-data-openssl.h)
	* egg/egg-symkey.c: (split from pkcs11/gck/gck-crypto.c)
	* egg/egg-symkey.h: (split from pkcs11/gck/gck-crypto.h)
	* egg/Makefile.am:
	* egg/tests/Makefile.am:
	* egg/tests/unit-test-asn1.c:
	* egg/tests/unit-test-hex.c: (moved from pkcs11/gck/tests/unit-test-util.c)
	* egg/tests/unit-test-openssl.c: (moved from pkcs11/gck/tests/unit-test-data-openssl.c)
	* egg/tests/unit-test-symkey.c: (split from pkcs11/gck/tests/unit-test-crypto.c)
	* gcr/gcr.pc.in: (added)
	* gcr/gcr-internal.c: (added)
	* gcr/gcr-internal.h: (added)
	* gcr/gcr-marshal.list: (added)
	* gcr/gcr-parser.c: (added)
	* gcr/gcr-parser.h: (added)
	* gcr/gcr-types.h: (added)
	* gcr/Makefile.am: (added)
	* gcr/template/*: (added)
	* gcr/tests/Makefile.am: (added)
	* gcr/tests/unit-test-parser.c: (added)
	* gcr/tests/test-data: (copied from daemon/pkix/test/test-data)
	* gp11/gp11.h:
	* pkcs11/gck/gck-crypto.c:
	* pkcs11/gck/gck-crypto.h:
	* pkcs11/gck/gck-data-der.c:
	* pkcs11/gck/gck-data-der.h:
	* pkcs11/gck/gck-data-file.c:
	* pkcs11/gck/gck-data-openssl.c: (moved)
	* pkcs11/gck/gck-data-openssl.h: (moved)
	* pkcs11/gck/gck-data-pem.c: (combined into egg/egg-openssl.c)
	* pkcs11/gck/gck-data-pem.c: (combined into egg/egg-openssl.h)
	* pkcs11/gck/gck-util.c:
	* pkcs11/gck/gck-util.h:
	* pkcs11/gck/Makefile.am:
	* pkcs11/gck/tests/unit-test-crypto.c:
	* pkcs11/gck/tests/unit-test-data-openssl.c: (moved)
	* pkcs11/gck/tests/unit-test-util.c: (moved)
	* pkcs11/roots-store/gck-roots-module.c:
	* pkcs11/ssh-store/gck-ssh-openssh.c:
	* pkcs11/user-store/gck-user-storage.c:
	* configure.in:
	* Makefile.am: Add new gcr library for crypto UI and related tasks. Implement
	GckParser class.

2009-01-17  Stef Walter  <stef@memberwebs.com>

	* egg/egg-asn1.c: (moved from pkcs11/gck/gck-data-asn1.c)
	* egg/egg-asn1.h: (moved from pkcs11/gck/gck-data-asn1.h)
	* egg/egg-buffer.c: (moved from common/gkr-buffer.c)
	* egg/egg-buffer.h: (moved from common/gkr-buffer.h)
	* egg/egg-secure-memory.c: (moved from common/gkr-secure-memory.c)
	* egg/egg-secure-memory.h: (moved from common/gkr-secure-memory.h)
	* egg/egg-unix-credentials.c: (moved from common/gkr-unix-credentials.c)
	* egg/egg-unix-credentials.h: (moved from common/gkr-unix-credentials.h)
	* egg/Makefile.am: (added)
	* egg/pk.asn: (moved from pkcs11/gck/pk.asn)
	* egg/pkix.asn: (moved from pkcs11/gck/pkix.asn)
	* egg/tests/Makefile.am: (added)
	* egg/tests/test.asn: (moved from pkcs11/gck/tests/test.asn)
	* egg/tests/unit-test-asn1.c: (moved from pkcs11/gck/tests/unit-test-data-asn1.c)
	* egg/tests/unit-test-secmem.c: (moved from common/tests/unit-test-secmem.c)
	* egg/tests/test-data: (added) Consolidate truly common functionality into 'egg' 
	library. Many more files touched due to above changes.
	
2009-01-17  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* daemon/pkcs11/gkr-pkcs11-auth.c:
	* pkcs11/gck/gck-data-file.c:
	* pkcs11/plex-layer/gck-plex-layer.c: Build and warning fixes.

2009-01-17  Stef Walter  <stef@memberwebs.com>

	* daemon/keyrings/gkr-keyring-login.c:
	* daemon/keyrings/gkr-keyring-login.h: 
	* daemon/keyrings/tests/unit-test-keyring-login.c: Add functions for accessing 
	the 'master' login password.

	* daemon/pkcs11/gkr-pkcs11-auth.c:
	* daemon/pkcs11/gkr-pkcs11-auth.h:
	* daemon/pkcs11/gkr-pkcs11-auth-ep.c: Support automatically initializing a token
	when it doesn't have CKF_USER_PIN_NOT_INITIALIZED

	* daemon/Makefile.am:
	* daemon/pkcs11/gkr-pkcs11-daemon.c: 	
	* pkcs11/Makefile.am:
	* pkcs11/gck/gck-certificate.c:
	* pkcs11/gck/gck-certificate.h:
	* pkcs11/gck/gck-crypto.c:
	* pkcs11/gck/gck-crypto.h:
	* pkcs11/gck/gck-data-asn1.c:
	* pkcs11/gck/gck-data-der.c:
	* pkcs11/gck/gck-data-der.h:
	* pkcs11/gck/gck-data-file.c: (added)
	* pkcs11/gck/gck-data-file.h: (added)
	* pkcs11/gck/gck-data-openssl.c:
	* pkcs11/gck/gck-file-store.c: (removed)
	* pkcs11/gck/gck-file-store.h: (removed)
	* pkcs11/gck/gck-login.c: (added)
	* pkcs11/gck/gck-login.h: (added)
	* pkcs11/gck/gck-marshal.list:
	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-module.h:
	* pkcs11/gck/gck-module-ep.h:
	* pkcs11/gck/gck-serializable.c:
	* pkcs11/gck/gck-serializable.h: 
	* pkcs11/gck/gck-session.c:
	* pkcs11/gck/gck-session.h:
	* pkcs11/gck/gck-store.h:
	* pkcs11/gck/gck-transaction.c:
	* pkcs11/gck/gck-transaction.h:
	* pkcs11/gck/gck-types.h:
	* pkcs11/gck/gck-util.c:
	* pkcs11/gck/gck-util.h:
	* pkcs11/gck/Makefile.am:
	* pkcs11/gck/tests/Makefile.am:
	* pkcs11/gck/tests/unit-test-crypto.c:
	* pkcs11/gck/tests/unit-test-data-asn1.c:
	* pkcs11/gck/tests/unit-test-data-der.c:
	* pkcs11/gck/tests/unit-test-data-file.c: (added)
	* pkcs11/gck/tests/unit-test-data-openssl.c: 
	* pkcs11/gck/tests/unit-test-file-store.c: (removed)
	* pkcs11/gck/tests/unit-test-login.c: (added)
	* pkcs11/gck/tests/unit-test-transaction.c:
	* pkcs11/gck/tests/unit-test-util.c: (added)
	* pkcs11/gck/tests/test-data/data-file-*: (added)
	* pkcs11/gck/tests/test-data/der-pkcs8-*: (added)
	* pkcs11/gck/tests/test-data/test-file-store.store: (removed)
	* pkcs11/roots-store/gck-roots-module.c:
	* pkcs11/ssh-store/gck-ssh-module.c:
	* pkcs11/ssh-store/tests/unit-test-ssh-openssh.c:
	* pkcs11/tests: (removed)
	* pkcs11/user-store/gck-user-module.c: (added)
	* pkcs11/user-store/gck-user-module.h: (added)
	* pkcs11/user-store/gck-user-private-key.c: (added)
	* pkcs11/user-store/gck-user-private-key.h: (added)
	* pkcs11/user-store/gck-user-public-key.c: (added)
	* pkcs11/user-store/gck-user-public-key.h: (added)
	* pkcs11/user-store/gck-user-standalone.c: (added)
	* pkcs11/user-store/gck-user-storage.c: (added)
	* pkcs11/user-store/gck-user-storage.h: (added)
	* pkcs11/user-store/gck-user-store.h: (added)
	* pkcs11/user-store/Makefile.am: (added)
	* tests/gtest-helpers.c:
	* tests/gtest-helpers.h: Add the user-store module and necessary code 
	changes to support it.

2009-01-12  Kjartan Maraas  <kmaraas@gnome.org>

	* pkcs11/roots-store/Makefile.am:
	Fix the build.

2009-01-09  Stef Walter  <stef@memberwebs.com>

	* daemon/pkcs11/gkr-pkcs11-auth-ep.c:
	* pkcs11/plex-layer/gck-plex-layer.c:
	* pkcs11/rpc-layer/gck-rpc-dispatch.c:
	* pkcs11/rpc-layer/gck-rpc-message.c:
	* pkcs11/rpc-layer/gck-rpc-module.c: Fix corner cases and error code
	problems highlighted by the p11-tests tool.

2009-01-09  Stef Walter  <stef@memberwebs.com>

	* daemon/Makefile.am:
	* daemon/pkcs11/gkr-pkcs11-daemon.c:
	* pkcs11/Makefile.am:
	* pkcs11/pkcs11g.h:
	* pkcs11/gck-manager.c:
	* pkcs11/gck-module.c:
	* pkcs11/gck-object.c:
	* pkcs11/gck-object.h:
	* pkcs11/gck-session.c:
	* pkcs11/plex-layer/gck-plex-layer.c: (added)
	* pkcs11/plex-layer/gck-plex-layer.h: (added)
	* pkcs11/plex-layer/Makefile.am: (added)
	* pkcs11/roots-store/gck-roots-certificate.c: 
	* pkcs11/roots-store/gck-roots-module.c:
	* pkcs11/roots-store/gck-roots-module.h:
	* pkcs11/roots-store/gck-roots-standalone.c:
	* pkcs11/roots-store/gck-roots-store.h:
	* pkcs11/roots-store/Makefile.am:
	* pkcs11/rpc-layer/gck-rpc-layer.h:
	* configure.in: Add plex-layer and integrate 'roots-store' component into 
	the PKCS#11 stack. 

2009-01-09  Stef Walter  <stef@memberwebs.com>

	* pkcs11/roots-store/: (rename from roots/)
	* pkcs11/Makefile.am:
	* configure.in: Rename 'roots' component to 'roots-store'
	 
2009-01-09  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-file-store.c: 
	* pkcs11/ssh-agent/Makefile.am: Build fixes

2009-01-09  Saleem Abdulrasool <compnerd@compnerd.org>

	* pkcs11/gck/gck-file-store.c:
	Change %u to %lu in g_warning format to fix compile on 64-bit systems.  Fixes
	bug #567117.

2009-01-09  Jeff Cai <jeff.cai@sun.com>

	* pkcs11/gck/gck-module.c: (register_virtual_slot):
	The void function should not return a value.
	Fix #567121

2009-01-08  Stef Walter  <stef@memberwebs.com>

	* common/Makefile.am:
	* daemon/Makefile.am:
	* daemon/ui/Makefile.am:
	* library/Makefile.am:
	* pam/Makefile.am:
	* pkcs11/gck/tests/Makefile.am:
	* pkcs11/roots/Makefile.am:
	* pkcs11/ssh-agent/Makefile.am:
	* pkcs11/ssh-store/Makefile.am:
	* pkcs11/ssh-store/tests/Makefile.am: Make it easier to pick and 
	choose between commonly used code bits in different modules.
	 
	* pkcs11/gck/Makefile.am:
	* pkcs11/gck-temporary-test.c: Remove test code.
	
	* daemon/gkr-daemon.c:
	* daemon/pkcs11/gkr-pkcs11-auth.c:
	* daemon/pkcs11/gkr-pkcs11-daemon.c:
	* daemon/pkcs11/gkr-pkcs11-dispatch.c: (removed)
	* daemon/pkcs11/gkr-pkcs11-dispatch.h: (removed)
	* daemon/pkcs11/gkr-pkcs11-dispatch-session.c: (removed)
	* daemon/pkcs11/gkr-pkcs11-dsa.c: (removed)
	* daemon/pkcs11/gkr-pkcs11-dsa.h: (removed)
	* daemon/pkcs11/gkr-pkcs11-rsa.c: (removed)
	* daemon/pkcs11/gkr-pkcs11-rsa.h: (removed)
	* daemon/pkcs11/Makefile.am:
	* pkcs11/gkr-pkcs11-calls.h: (removed)
	* pkcs11/gkr-pkcs11-mechanisms.h: (removed)
	* pkcs11/gkr-pkcs11-message.c: (removed)
	* pkcs11/gkr-pkcs11-message.h: (removed)
	* pkcs11/gkr-pkcs11-module.c: (removed)
	* pkcs11/Makefile.am: 
	* pkcs11/rpc-layer/gck-rpc-daemon-standalone.c: 
	* pkcs11/rpc-layer/gck-rpc-dispatch.c:
	* pkcs11/rpc-layer/gck-rpc-layer.h:
	* pkcs11/rpc-layer/gck-rpc-message.c:
	* pkcs11/rpc-layer/gck-rpc-module.c:
	* pkcs11/rpc-layer/gck-rpc-private.h:
	* pkcs11/rpc-layer/Makefile.am:
	* pkcs11/rpc-layer/p11-rpc-*: (remove old straggler files)
	* configure.in: Integrate modular rpc-layer and remove old 
	dispatch and module code frome gnome-keyring-daemon.

2009-01-08  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-module.c: 
	* gp11/gp11-session.c: 
	* gp11/gp11-slot.c: Don't try to keep authenticating when 
	bad password on protected auth path authentication. Protected
	auth path repeats internally as necessary.

	* pkcs11/pkcs11g.h:
	* pkcs11/gck/gck-attributes.c:
	* pkcs11/gck/gck-object.c:
	* pkcs11/gck/gck-object.h: 
	* pkcs11/ssh-store/gck-ssh-module.c:
	* pkcs11/ssh-store/gck-ssh-private-key.c:
	* pkcs11/ssh-store/gck-ssh-private-key.h:
	* pkcs11/ssh-store/gck-ssh-public-key.c:
	* pkcs11/ssh-store/gck-ssh-public-key.h: Added CKA_GNOME_UNIQUE
	attribute. 

	* daemon/gkr-daemon.c:
	* daemon/Makefile.am:
	* daemon/pkcs11/gkr-pkcs11-auth.c: (added)
	* daemon/pkcs11/gkr-pkcs11-auth.h: (added)
	* daemon/pkcs11/gkr-pkcs11-auth-ep.c: (added)
	* daemon/pkcs11/gkr-pkcs11-daemon.c: (added)
	* daemon/pkcs11/gkr-pkcs11-daemon.h: (added)
	* daemon/pkcs11/Makefile.am:
	* daemon/pkix/gkr-pkix-asn1.c: 
	* daemon/ssh/gkr-ssh-daemon.h: (removed)
	* daemon/ssh/gkr-ssh-daemon-io.c: (removed)
	* daemon/ssh/gkr-ssh-daemon-ops.c: (removed)
	* daemon/ssh/Makefile.am: (removed)
	* daemon/ui/gkr-ask-daemon.c:
	* pkcs11/ssh-agent/gck-ssh-agent.c:
	* pkcs11/ssh-agent/gck-ssh-agent-ops.c: Integrate new modular SSH agent
	as the main gnome-keyring-daemon SSH agent.

=== gnome-keyring 2.25.4.2 ===

2009-01-08  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.25.4.2

2009-01-07  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* pkcs11/Makefile.am: Disable rpc-layer component which 
	has some pthread build problems, that I'll need to look into 
	at a later time.

2009-01-05  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* gp11/gp11.h:
	* gp11/reference/Makefile.am:
	* gp11/tests/gp11-test-module.c:
	* gp11/tests/unit-test-gp11-attributes.c:
	* pam/tests/unit-test-pam-setup.c:
	* pkcs11/gck/gck-file-store.c:
	* pkcs11/gck/gck-file-tracker.c:
	* pkcs11/gck/gck-manager.c:
	* pkcs11/gck/gck-session.c:
	* pkcs11/roots/gck-roots-certificate.c:
	* pkcs11/rpc-layer/gck-rpc-module.c:
	* pkcs11/ssh-agent/gck-ssh-agent-ops.c:
	* pkcs11/ssh-store/gck-ssh-public-key.c: Fix compiler warnings
	and add -Werror back in when --enable-tests is configured.

2009-01-05  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-slot.c: Helper function for matching mechanism types.
	
	* pkcs11/ssh-agent/gck-ssh-agent.c:
	* pkcs11/ssh-agent/gck-ssh-agent.h:
	* pkcs11/ssh-agent/gck-ssh-agent-ops.c:
	* pkcs11/ssh-agent/gck-ssh-agent-private.h:
	* pkcs11/ssh-agent/gck-ssh-agent-standalone.c: The modular ssh agent now 
	uses keys from any available PKCS#11 slots, and automatically selects a decent
	slot for it's session keys.

=== gnome-keyring 2.25.4.1 ===

2009-01-05  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release 2.25.4.1

2009-01-05  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-module.c: Fix broken release, I have no idea
	why it distchecked.

	* gp11/gp11-slot.c: 
	* pkcs11/gck/gck-data-asn1.c:
	* pkcs11/gck/gck-data-pem.c: Fix compiler warnings.

2009-01-04  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== gnome-keyring 2.25.4 ===

2009-01-04  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS:
	* daemon/Makefile.am:	
	* pkcs11/gck/tests/Makefile.am:
	* pkcs11/rpc-layer/Makefile.am:
	* pkcs11/ssh-agent/gck-ssh-agent-standalone.c: Release 2.25.4
	
2009-01-04  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-module.c:
	* gp11/tests/unit-test-gp11-module.c: Fine tune function signatures.

2009-01-04  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-call.c:
	* gp11/gp11-module.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c: 
	* gp11/tests/unit-test-gp11-crypto.c:
	* gp11/tests/unit-test-gp11-module.c:
	* gp11/tests/unit-test-gp11-session.c: Add gp11_module_enumerate_objects
	set of functions which enumerates all objects of a given type on a token.
	Move 'auto-authenticate' and session pool to the module level.

2009-01-04  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-module.c: Make the module properly support slot appartments. 
	
2009-01-04  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* pkcs11/Makefile.am:
	* pkcs11/rpc-layer/: (renamed from rpc/)
	* pkcs11/rpc-layer/gck-rpc-daemon-standalone.c:
	* pkcs11/rpc-layer/gck-rpc-dispatch.c:
	* pkcs11/rpc-layer/gck-rpc-layer.h:
	* pkcs11/rpc-layer/gck-rpc-message.c:
	* pkcs11/rpc-layer/gck-rpc-module.c:
	* pkcs11/rpc-layer/gck-rpc-private.h:
	* pkcs11/rpc-layer/gck-rpc-util.c:
	* pkcs11/rpc-layer/Makefile.am: Rename 'rpc' to 'rpc-layer' component, and 
	reorganize how the files are installed.
	
2009-01-04  Stef Walter  <stef@memberwebs.com>

	* pkcs11/Makefile.am:
	* pkcs11/ssh-store/: (renamed from ssh-keys)
	* pkcs11/ssh-store/gck-ssh-module.c:
	* pkcs11/ssh-store/gck-ssh-module.h:
	* pkcs11/ssh-store/gck-ssh-standalone.c:
	* pkcs11/ssh-store/gck-ssh-store.h: (added)
	* pkcs11/ssh-store/Makefile.am:
	* pkcs11/ssh-store/tests/Makefile.am:
	* configure.in: Rename 'ssh-keys' to 'ssh-store' component, and add 
	better entry points to access the PKCS#11 module.

2009-01-04  Stef Walter  <stef@memberwebs.com>

	* pkcs11/pkcs11g.h: Add more details on our PKCS#11 extensions.
	
2009-01-04  Stef Walter  <stef@memberwebs.com>

	* daemon/pkcs11/gkr-pkcs11-dispatch.c: (moved from gkr-pkcs11-daemon.c)
	* daemon/pkcs11/gkr-pkcs11-dispatch.h: (moved from gkr-pkcs11-daemon.h)
	* daemon/pkcs11/gkr-pkcs11-dispatch-session.c: (moved from gkr-pkcs11-daemon-session.c)
	* daemon/pkcs11/Makefile.am: Move old PKCS#11 code out of the way (but still functiontal)
	
2009-01-04  Gabor Kelemen  <kelemeng@gnome.hu>

	* configure.in:
	* daemon/gnome-keyring-daemon.desktop.in: (removed)
	* daemon/gnome-keyring-daemon.desktop.in.in: (added)
	* daemon/Makefile.am:
	* po/POTFILES.in:
	Make .desktop file translatable. Fixes bug #566280.

2009-01-03  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-memory-store.c:
	* pkcs11/gck/gck-object.c:
	* pkcs11/gck/gck-session.c:
	* pkcs11/ssh-agent/gck-ssh-agent.c: (added)
	* pkcs11/ssh-agent/gck-ssh-agent.h: (added)
	* pkcs11/ssh-agent/gck-ssh-agent-ops.c: (added)
	* pkcs11/ssh-agent/gck-ssh-agent-private.h: (added)
	* pkcs11/ssh-agent/gck-ssh-agent-proto.c: (added)
	* pkcs11/ssh-agent/gck-ssh-agent-standalone.c: (added)
	* pkcs11/ssh-agent/Makefile.am: (added)
	* configure.in: Add PKCS#11 based SSH agent. 
	
2009-01-03  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-module.c: Add method to initialize from a function list.
	
2009-01-03  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-attributes.c: (added)
	* pkcs11/gck/gck-attributes.h: (added)
	* pkcs11/gck/gck-certificate.c:
	* pkcs11/gck/gck-certificate.h:
	* pkcs11/gck/gck-certificate-key.c:
	* pkcs11/gck/gck-certificate-key.h:
	* pkcs11/gck/gck-factory.c: (added)
	* pkcs11/gck/gck-factory.h: (added)
	* pkcs11/gck/gck-file-store.c: (added)
	* pkcs11/gck/gck-file-store.h: (added)
	* pkcs11/gck/gck-key.c:
	* pkcs11/gck/gck-key.h:
	* pkcs11/gck/gck-manager.c:
	* pkcs11/gck/gck-manager.h:
	* pkcs11/gck/gck-marshal.list: (added)
	* pkcs11/gck/gck-memory-store.c: (added)
	* pkcs11/gck/gck-memory-store.h: (added)
	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-module.h:
	* pkcs11/gck/gck-object.c:
	* pkcs11/gck/gck-object.h:
	* pkcs11/gck/gck-private-key.c:
	* pkcs11/gck/gck-private-key.h:
	* pkcs11/gck/gck-public-key.c:
	* pkcs11/gck/gck-public-key.h:
	* pkcs11/gck/gck-session.c:
	* pkcs11/gck/gck-sexp.h:
	* pkcs11/gck/gck-store.c: (added)
	* pkcs11/gck/gck-store.h: (added)
	* pkcs11/gck/gck-transaction.c: (added)
	* pkcs11/gck/gck-transaction.h: (added)
	* pkcs11/gck/gck-types.h: (added)
	* pkcs11/gck/gck-util.c:
	* pkcs11/gck/gck-util.h: 
	* pkcs11/gck/Makefile.am:
	* pkcs11/gck/tests/Makefile.am:
	* pkcs11/gck/tests/unit-test-file-store.c: (added)
	* pkcs11/gck/tests/unit-test-memory-store.c: (added)
	* pkcs11/gck/tests/unit-test-store.c: (added)
	* pkcs11/gck/tests/unit-test-transaction.c: (added)
	* pkcs11/gck/tests/test-data/test-file-store.store: (added)
	* pkcs11/roots/gck-roots-certificate.c:
	* pkcs11/ssh-keys/gck-ssh-private-key.c:
	* pkcs11/ssh-keys/gck-ssh-public-key.c:
	* tests/gtest-helpers.c:
	* tests/gtest-helpers.h: Added support for creating, deleting and setting
	attributes on session objects. Framework for general modification of objects.
	
2008-01-03  Stef Walter  <stef@memberwebs.com>

	* daemon/pkcs11/gkr-pkcs11-daemon-session.c: Allow starting one operation
	on top of another by cancelling the first.

	* common/gkr-buffer.c: Use a default allocator.
	
2008-12-29  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-attributes.c:
	* gp11/gp11-object.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/tests/Makefile.am:
	* gp11/tests/unit-test-gp11-attributes.c:
	* gp11/tests/unit-test-gp11-crypto.c:
	* gp11/tests/unit-test-gp11-object.c:
	* tool/gkr-tool-import.c: Add support for specifying custom allocators
	on GP11Attributes, and fine tune how gp11_object_get_* work. Add 
	concept of locked attribute arrays with guarantees of application to 
	not modify while we're processing them. 
	
2008-12-28  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-call.c:
	* gp11/gp11-marshal.list:
	* gp11/gp11-object.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/tests/gp11-test.h:
	* gp11/tests/gp11-test-module.c:
	* gp11/tests/Makefile.am:
	* gp11/unit-test-gp11-crypto.c:
	* gp11/unit-test-gp11-session.c: Add crypto support to GP11 library.
	Add support for auto-login of context specific unlock of keys. Rework
	how auto-login of a token works.
	
2008-12-27  Stef Walter  <stef@memberwebs.com>

	* pkcs11/Makefile.am: Fix problem building roots component
	when not included in build.
	
2008-12-27  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-call.c:
	* gp11/gp11-marshal.list:
	* gp11/gp11-misc.c:
	* gp11/gp11-module.c:
	* gp11/gp11-object.c:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/tests/unit-test-gp11-module.c:
	* gp11/tests/unit-test-gp11-object.c:
	* gp11/tests/unit-test-gp11-session.c: Add basic thread-safety.

2008-12-26  Stef Walter  <stef@memberwebs.com>

	* pkcs11/Makefile.am:
	* pkcs11/dot-ssh/: (moved to ssh-keys)
	* pkcs11/ssh-keys/: (moved from dot-ssh)
	* configure.in: Rename dot-ssh component to ssh-keys
	
2008-12-26  Stef Walter  <stef@memberwebs.com>

	* pkcs11/Makefile.am:
	* pkcs11/gck/gck-certificate.c: (added)
	* pkcs11/gck/gck-certificate.h: (added)
	* pkcs11/gck/gck-certificate-key.c: (added)
	* pkcs11/gck/gck-certificate-key.h: (added)
	* pkcs11/gck/gck-crypto.c: 
	* pkcs11/gck/gck-crypto.h: 
	* pkcs11/gck/gck-data-asn1.c:
	* pkcs11/gck/gck-data-asn1.h:
	* pkcs11/gck/gck-data-der.c:
	* pkcs11/gck/gck-data-der.h:
	* pkcs11/gck/gck-key.c:
	* pkcs11/gck/gck-manager.c:
	* pkcs11/gck/gck-manager.h:
	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-module.h:
	* pkcs11/gck/gck-object.h:
	* pkcs11/gck/gck-private-key.c:
	* pkcs11/gck/gck-session.c:
	* pkcs11/gck/gck-session.c:
	* pkcs11/gck/gck-util.c:
	* pkcs11/gck/gck-util.h:
	* pkcs11/gck/Makefile.am: 
	* pkcs11/gck/tests/test.asn:
	* pkcs11/gck/tests/unit-test-data-asn1.c:
	* pkcs11/gck/tests/unit-test-data-der.c:
	* pkcs11/gck/tests/test-data/test-certificate-1.der: (added)
	* pkcs11/roots/gck-roots-certificate.c: (added)
	* pkcs11/roots/gck-roots-certificate.h: (added)
	* pkcs11/roots/gck-roots-module.c: (added)
	* pkcs11/roots/gck-roots-module.h: (added)
	* pkcs11/roots/gck-roots-standalone.c: (added)
	* pkcs11/roots/Makefile.am: (added)
	* pkcs11/roots/tests/*: (added)
	* pkcs11/roots/tests/test-data/*: (added)
	* configure.in: Added certificate roots standalone PKCS#11 module.
	Added indexing to GckManager of both properties and attributes.
	
2008-12-24  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-crypto.c:
	* pkcs11/gck/gck-crypto.h:
	* pkcs11/gck/gck-session.c: Test invalid inputs and states 
	on crypto functions, and bring in line with PKCS#11 spec.
	
2008-12-23  Stef Walter  <stef@memberwebs.com>

	* pkcs11/dot-ssh/gck-ssh-module.c:
	* pkcs11/dot-ssh/gck-ssh-private-key.c:
	* pkcs11/dot-ssh/gck-ssh-public-key.c:
	* pkcs11/dot-ssh/gck-ssh-standalone.c:
	* pkcs11/dot-ssh/tests/Makefile.am:
	* pkcs11/dot-ssh/tests/p11-tests.conf: (added)
	* pkcs11/dot-ssh/tests/*.pub: (added)
	* pkcs11/gck/gck-crypto.c:
	* pkcs11/gck/gck-manager.c:
	* pkcs11/gck/gck-manager.h:
	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-module.h:
	* pkcs11/gck/gck-module-ep.h:
	* pkcs11/gck/gck-object.c:
	* pkcs11/gck/gck-object.h:
	* pkcs11/gck/gck-private-key.c:
	* pkcs11/gck/gck-public-key.c:
	* pkcs11/gck/gck-util.c: Ran dot-ssh component through testing paces.
	Fixed lots of bugs. Implemented string based initialization in gck
	ala NSS. dot-ssh can now use any directory.
	
2008-12-23  Stef Walter  <stef@memberwebs.com>

	* pkcs11/dot-ssh/gck-ssh-module.c:
	* pkcs11/dot-ssh/gck-ssh-module.h:
	* pkcs11/dot-ssh/gck-ssh-openssh.c:
	* pkcs11/dot-ssh/gck-ssh-standalone.c: (added)
	* pkcs11/dot-ssh/Makefile.am:
	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-module.h:
	* pkcs11/gck/gck-module-ep.h:
	* pkcs11/gck/gck-object.c:
	* pkcs11/gck/gck-session.c:
	* pkcs11/gck/gck-session.h:
	* pkcs11/gck/Makefile.am:
	* pkcs11/gck/tests/unit-test-data-openssl.c: Assemble SSH PKCS#11 component
	into a standalone module.
	
	* pkcs11/dot-ssh/gck-crypto.c:
	* pkcs11/dot-ssh/gck-data-asn1.c:
	* pkcs11/dot-ssh/gck-data-der.c:
	* pkcs11/dot-ssh/gck-data-openssl.c:
	* pkcs11/dot-ssh/gck-data-pem.c: Use libgcrypt secure functions
	as the interface for allocating secure memory.
	
2008-12-22  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/gck-crypto.c:
	* pkcs11/gck/gck-crypto.h:
	* pkcs11/gck/gck-data-der.c:
	* pkcs11/gck/gck-data-openssl.c:
	* pkcs11/gck/gck-data-openssl.h: 
	* pkcs11/gck/tests/unit-test-crypto.c:
	* pkcs11/gck/tests/unit-test-data-openssl.c: Add support for specifying 
	length of password to various PBE algorithms.
	
	* pkcs11/Makefile.am:
	* pkcs11/dot-ssh/*: (added)
	* pkcs11/dot-ssh/tests/*: (added)
	* pkcs11/dot-ssh/tests/test-data/*: (added)
	* pkcs11/gck/gck-data-types.h: 
	* pkcs11/gck/gck-module.h:
	* pkcs11/gck/gck-private-key.c: 
	* pkcs11/gck/gck-util.c:
	* pkcs11/gck/gck-util.h: 
	* tests/gtest.make: 
	* configure.in: Add incomplete but speced dot-ssh PKCS#11 component. 
	 
	
2008-12-22  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/tests/*: (added)
	* pkcs11/gck/gck-crypto.c:
	* pkcs11/gck/gck-crypto.h:
	* pkcs11/gck/gck-data-asn1.c:
	* pkcs11/gck/gck-data-asn1.h:
	* pkcs11/gck/gck-data-der.c: (added)
	* pkcs11/gck/gck-data-der.h: (added)
	* pkcs11/gck/gck-data-openssl.c: (added)
	* pkcs11/gck/gck-data-openssl.h: (added)
	* pkcs11/gck/gck-data-pem.c: (added)
	* pkcs11/gck/gck-data-pem.h: (added)
	* pkcs11/gck/gck-data-types.h: (added)
	* pkcs11/gck/gck-file-tracker.c: (added)
	* pkcs11/gck/gck-file-tracker.h: (added)
	* pkcs11/gck/gck-module.c:
	* pkcs11/gck/gck-module.h: 
	* pkcs11/gck/gck-module-ep.h:
	* pkcs11/gck/temporary-test.c: 
	* pkcs11/gck/Makefile.am:
	* pkcs11/gck/pk.asn: (added)
	* pkcs11/gck/pkix.asn: (added)
	* pkcs11/Makefile.am:
	* tests/gtest-helpers.c:
	* tests/gtest.make:
	* configure.in: Migrate lots of data processing code over to 
	new GCK component. Vet for thread-safety, add unit-tests,
	and disable code not covered by unit tests.
	
2008-12-21  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-private.h: 
	* gp11/gp11-call.c: Fix possible threading problems, by using 
	proper class finalizer, and hiding all instance details.
	
	* gp11/gp11-object.c: Fix possible reference counting problem.
	
	* gp11/gp11-slot.c: 
	* gp11/tests/unit-test-gp11-object.c: Fix test reference problems.  
	
2008-12-21  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gck/*: (added)
	* pkcs11/Makefile.am:
	* configure.in: Added GCK base PKCS#11 module code 
	
	* pkcs11/rpc/Makefile.am: distcheck fixes
	
2008-12-18  Stef Walter  <stef@memberwebs.com>

	* configure.in: Add pkcs11/rpc Fixes bug #565043

2008-12-18  Stef Walter  <stef@memberwebs.com>

	* pkcs11/rpc/p11-rpc.h:
	* pkcs11/rpc/p11-rpc-dispatch.c:
	* pkcs11/rpc/p11-rpc-message.c:
	* pkcs11/rpc/p11-rpc-module.c:
	* pkcs11/rpc/p11-rpc-private.h:
	* pkcs11/rpc/p11-rpc-test-daemon.c:
	* pkcs11/rpc/p11-rpc-test-module.c:
	* pkcs11/rpc/p11-rpc-util.c: 
	* pkcs11/rpc/Makefile.am: Lots of fixes to new modular
	PKCS#11 RPC module.
	
2008-12-18  Stef Walter  <stef@memberwebs.com>

	* common/Makefile.am: 
	* pkcs11/rpc/*: (added)
	* pkcs11/Makefile.am:
	* configure.in: Added initial implementation of generic 
	PKCS#11 RPC module.

2008-12-17  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c: Patch by Yanko Kaneti. On daemon 
	initialisation move the dbus setup after the plugins setup
	so that all supported environment variables are exported to 
	the session.

2008-12-17  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gkr-pkcs11-module.c: Disable debug output from
	pkcs#11 module by default.
	
2008-12-17  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-call.c: There was a problem when the main loop 
	wasn't being run for periods of time, things would backup.
	Now we process a result for every async call we make.
	
	* gp11/gp11-object.c:
	* gp11/gp11-slot.c: Object lifetime fixes. 
	
2008-12-13  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h
	* gp11/gp11-call.c:
	* gp11/gp11-object.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/gp11-test-gp11-object.c: Don't tie an object to a session unless
	explicitly requested. Automatically open a session for object operations
	(usually pooled).
	
2008-12-12  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== gnome-keyring 2.25.2 ===

2008-12-12  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.25.2

2008-12-12  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-cert.c:
	* daemon/pk/gkr-pk-privkey.c:
	* daemon/pk/gkr-pk-pubkey.c:
	* daemon/pk/gkr-pk-pubkey.h:
	* daemon/pk/gkr-pk-util.c:
	* daemon/pkcs11/gkr-pkcs11-daemon-session.c:
	* daemon/pkix/gkr-pkix-asn1.c:
	* pkcs11/gkr-pkcs11-module.c: Fix most of the inconsistencies and bugs
	highlighted by the p11-tests tool.  
	
2008-12-12  Halton Huo <halton.huo@sun.com>

	* pam/gkr-pam-module.c: Allow build on Solaris PAM. Fixes bug #559232.

2008-12-11  Stef Walter  <stef@memberwebs.com>

	* daemon/pkix/gkr-pkix-asn1.c:
	* daemon/pkix/gkr-pkix-asn1.h: 
	* daemon/pkix/gkr-pkix-der.c: Only allocate secure memory 
	for secret key MPIs. 
	
2008-12-11  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c:
	* common/gkr-secure-memory.c:
	* common/gkr-secure-memory.h:
	* daemon/gkr-daemon.c:
	* daemon/gkr-daemon.h:
	* daemon/gkr-daemon-dbus.c:
	* daemon/gkr-daemon-ops.c: 
	* pam/gkr-pam-module.c: Rework initialization of the daemon
	so that most initialization can happen after starting via PAM.
	Fixes bug #558181
	
	* library/gnome-keyring.c:
	* library/gnome-keyring-private.h:
	* library/gnome-keyring-socket.c: Don't let --start use an 
	autostart DBus daemon.
	
2008-12-11  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Close first 64 open file descriptors 
	before running the daemon. Fixes bug #560131 
	
2008-12-11  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Don't unlock keyring if 
	daemon wasn't started. Patch by Vincent Untz. Fixes bug #559958

2008-12-11  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Don't leave gnome-keyring-daemon running
	if started for a password change. Patch by Vincent Untz.
	Fixes bug #558636

2008-12-11  Stef Walter  <stef@memberwebs.com>

	* daemon/ui/gkr-ask-tool.c: Add accelerator to 'Deny' button
	in dialog. Patch by Gabor Kelemen. Fixes bug #552604

2008-12-11  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c: Fix crash when empty error message.
	Patch by Jeff Cai. Fixes bug #562521

2008-12-11  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-utils.c: Synchronize ICEAUTHORITY and 
	XAUTHLOCALHOSTNAME environment variables on startup. Fixes bug #562824

2008-12-11  Stef Walter  <stef@memberwebs.com>

	* configure.in: Use pkg-config to detect libtasn1. 
	Patch by Jeff Cai. Fixes bug #563702

2008-11-14  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-dbus.c: Register and unregister with the session
	properly using correct interfaces and signals. See bug #547272
	
2008-11-11  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c:
	* common/gkr-location-watch.c:
	* daemon/ssh/gkr-ssh-daemon-ops.c: Better warnings and debug messages
	in certain corner cases.
	
2008-11-09  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* common/gkr-daemon-util.c:
	* common/gkr-daemon-util.h:
	* daemon/Makefile.am:
	* daemon/gkr-daemon-dbus.c:
	* daemon/gkr-daemon-ops.c:
	* daemon/gkr-daemon.c:
	* daemon/gkr-daemon.h:
	* daemon/gnome-keyring-daemon.desktop.in:
	* library/Makefile.am:
	* library/gnome-keyring-private.h:
	* library/gnome-keyring-socket.c:
	* library/gnome-keyring-utils.c:
	* library/gnome-keyring.c: Add --start option to daemon which allows 
	initialization of a running daemon or start one if none found. 
	This reworks the startup interactions with gnome-session.
	
2008-11-05  Stef Walter  <stef@memberwebs.com>

	* common/gkr-dbus.c:
	* common/gkr-dbus.h:
	* daemon/gkr-daemon.c:
	* daemon/gkr-daemon.h:
	* daemon/gkr-daemon-dbus.c:
	* daemon/Makefile.am:
	* library/gnome-keyring.c:
	* library/gnome-keyring-private.h:
	* configure.in: Make DBUS a required dependency of gnome-keyring. 
	
2008-11-04  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== gnome-keyring 2.25.1 ===

2008-11-04  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.25.1

2008-11-04  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* tool/gkr-tool-import.c: Remove usage of deprecated gtk stuff.
	
2008-11-04  Stef Walter  <stef@memberwebs.com>

	* configure.in: 
	* gp11/tests/gp11-test.h:
	* common/gkr-location.c: Remove usage of deprecated glib stuff. 
	
=== gnome-keyring 2.24.1 ===

2008-10-19  Stef Walter  <stef@memberwebs.com>

	* ChangeLog:
	* configure.in:
	* NEWS: Release version 2.24.1

2008-10-18  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c: Fix crash on logout on Solaris.
	Fixes bug #556368. Patch by Jeff Cai

2008-10-18  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c: Add missing 'server' attribute 
	to the NETWORK_PASSWORD schema. Fixes bug #556530

=== gnome-keyring 2.24.0 ===

2008-09-20  Stef Walter  <stef@memberwebs.com>

	* ChangeLog:
	* configure.in:
	* NEWS: 
	* gp11/reference/Makefile.am: Release version 2.24.0

2008-09-17  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-module.c:
	* gp11/gp11-object.c:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/reference/Makefile.am:
	* gp11/reference/gp11-docs.sgml:
	* gp11/reference/gp11-sections.txt:
	* gp11/reference/gp11-undeclared.txt:
	* gp11/reference/tmpl/gp11-unused.sgml: Update documentation
	for functions in gp11 library.
	
2008-09-15  Stef Walter  <stef@memberwebs.com>

	* daemon/ui/gkr-ask-tool.c: Fix for keyboard ungrabbing when
	minimizing the password prompt window, and handle grab
	errors in a better manner.
	
2008-09-14  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* tests/gtest-helpers.c:
	* tests/test-helpers.c: Fix problems compiling with gcc 4.3
	
2008-09-12  Joe Orton  <jorton@redhat.com>

	* gp11/gp11-module.c (GP11ModulePrivate): Add init_args field.
	(gp11_module_initialize): Use init_args structure from private
	structure since at least one PKCS#11 module (opensc) requires
	that the init_args argument persists in memory.

2008-09-11  Stef Walter  <stef@memberwebs.com>

	* daemon/ui/gkr-ask-request.c:
	* daemon/ui/gkr-ask-tool.c: Make all glib/gtk error messages
	go to syslog from the ask tool. Also try and show a smart
	warning if the ask tool failed and no DISPLAY was set.
	See bug #551687
	
2008-09-09  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-pk-import.c: When prompting for a password on 
	import, don't go into an endless loop for blank passwords.
	 
2008-09-09  Stef Walter  <stef@memberwebs.com>

	* daemon/keyrings/gkr-keyring-item.c: Fix bugs when cloning a
	keyring item to be part of another keyring. This fixes issues 
	with items in PK indexes overwriting each other.
	
2008-09-08  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-object-storage.c: Don't add additional extensions
	on storage files when the extension is already correct.
	
2008-09-08  Stef Walter  <stef@memberwebs.com>

	* daemon/keyrings/gkr-keyring-item.c:
	* daemon/keyrings/gkr-keyring-item.h: 
	* daemon/keyrings/gkr-pk-index.c: Cover corner cases when 
	an indexed object is copy between indexes using the same keyring
	or to a keyring where it already exists.
	
	* daemon/pkcs11/gkr-pkcs11-daemon-session.c: Load all objects 
	when a session is opened, regardless of whether a C_FindObjects
	is run or not.
	 
=== gnome-keyring 2.23.92 ===

2008-09-07  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release 2.23.92

2008-09-07  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-slot.c: Build fix for Solaris. 
	Fixes bug #550943. Patch by Jeff Cai.
	
2008-09-06  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c: Import the LANG environment variable
	properly into daemon environment.
	
2008-09-03  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.23.91 ===

2008-09-03  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release 2.23.91

2008-09-03  Stef Walter  <stef@memberwebs.com>

	* common/gkr-wakeup.c: Build fix for strange gcc warning.
	
2008-09-03  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c:
	* common/tests/Makefile.am: Some tweaking of the asynchronous
	task scheduling. 
	
2008-08-31  Stef Walter  <stef@memberwebs.com>

	* deamon/pk/gkr-pk-index.c:
	* daemon/pk/gkr-pk-index.h:
	* daemon/pk/gkr-pk-object.c:
	* daemon/pk/gkr-pk-object.h:
	* daemon/pk/gkr-pk-storage.c:
	* daemon/pk/tests/unit-test-pk-index.c:
	* daemon/pk/tests/unit-test-pk-object.c: Use the keyring item 
	display_name to store PK object labels in. 
	
2008-08-31  Stef Walter  <stef@memberwebs.com>

	* daemon/pkcs11/gkr-pkcs11-rsa.c: Support extracting of RSA 
	signature even when no pad function is specified for extraction.
	
2008-08-31  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-object.c: Don't try to rename in indexes
	if digest remains the same on an object. 
	
2008-08-31  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-misc.c:
	* gp11/gp11-module.c: Complete some more documentation.

2008-08-31  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c:
	* daemon/ui/gkr-ask-request.h:
	* daemon/ui/gkr-ask-tool.c: Use proper text for button when
	prompting to change password. Fixes bug #549730. Patch by
	Adam Schreiber.
	
2008-08-31  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-misc.c: Use a more easily translatable message 
	for CKR_RANDOM_SEED_NOT_SUPPORTED.
	
2008-08-27  Stef Walter  <stef@memberwebs.com>

	* gp11/Makefile.am:
	* gp11/gp11-attributes.c:
	* gp11/gp11.h:
	* gp11/reference/*: (added) Added start of documentation for the 
	GP11 library.
	
2008-08-27  Stef Walter  <stef@memberwebs.com>

	* Makefile.am:
	* configure.in:
	* library/Makefile.am: 
	* library/reference/: (moved from library/)
	* reference/: (moved to library/reference/) Move the documentation
	for the gnome-keyring library into the 'library' subdirectory. 
	
2008-08-27  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-netscape-trust.c: Fix bug where we always 
	return CKR_FUNCTION_CANCELLED.
	
2008-08-27  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-slot.c: Make sure we use the UTC time when 
	converting time from PKCS#11.
	
2008-08-27  Stef Walter  <stef@memberwebs.com>

	* tool/Makefile.am: Build fix. Include gthread library in 
	tool binary. Fixes bug #548424. Patch by Götz Waschk
	
2008-08-27  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c: Fix build problems with string formats.
	
2008-08-22  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-call.c: Fix build problem with string formats
	to g_set_error.

2008-08-18  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.23.90 ===

2008-08-18  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release 2.23.90

2008-08-17  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-attributes.c:
	* gp11/gp11-call.c:
	* gp11/gp11-misc.c:
	* gp11/gp11-module.c:
	* gp11/gp11-object.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/gp11.h: Add license comments to top of files.
	
2008-08-17  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-attributes.c:
	* gp11/gp11-misc.c:
	* gp11/gp11-object.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/gp11.h
	* gp11/tests/unit-test-gp11-object.c:
	* gp11/tests/unit-test-gp11-slot.c: 
	* tool/gkr-tool-import.c: Use gulong for all CK_ULONG derived
	types in PKCS#11. Fixes bug #547830
	
2008-08-17  Stef Walter  <stef@memberwebs.com>

	* daemon/ui/gkr-ask-request.h:
	* daemon/ui/gkr-ask-tool.c: Use better text for button in 
	keyring create password prompt. Patch by Adam Schreiber.
	Fixes bug #547722
	
2008-08-13  Stef Walter  <stef@memberwebs.com>

	* common/gkr-daemon-util.h: Fix build issue on Mac OS X. 
	Patch by John Ralls
	
	* tool/gkr-tool-import.c: Fix build issue. Patch by John Ralls.
	Fixes bug #547417
	
	* tool/gkr-tool.c:
	* tool/gkr-tool.h:
	* tool/gkr-tool-import.c: Add copyright headers
	
2008-08-10  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-cert.c:
	* daemon/pk/gkr-pk-import.c:
	* daemon/pk/gkr-pk-netscape-trust.c:
	* daemon/pk/gkr-pk-object-storage.c:
	* daemon/pk/gkr-pk-root-storage.c:
	* daemon/pkcs11/gkr-pkcs11-daemon-session.c:
	* daemon/pkix/gkr-pkix-parser.c:
	* daemon/pkix/gkr-pkix-parser.h:
	* daemon/pkix/gkr-pkix-types.h: 
	* daemon/pkix/tests/unit-test-pkix-parser.c:
	* daemon/pkix/tests/unit-test-pkix-serialize.c: Fix problems where
	the parser is used interactively, and continues to prompt the user
	after they've cancelled the operation.
	
	* daemon/pkix/gkr-pkix-parser.c: Fix problem prompting for the 
	same password twice when parsing a PKCS#12 or other file with
	multiple parts encrypted with same password.
	
	* common/gkr-location.c: Automatically create non-existing directories
	when we're trying to store a file.
	
	* daemon/pk/gkr-pk-import.c: Don't offer to store password for 
	stuff we're unlocking while importing.
	
	* daemon/pk/gkr-pk-object-storage.c: Create stored files in proper
	directories. 

	* daemon/pk/gkr-pk-object-storage.c: Don't try to store certificates
	encrypted on the disk.
	
	* daemon/pk/gkr-pk-object-storage.c: 
	* daemon/ssh/gkr-ssh-storage.c: Add objects to storage list after
	storing them.
	
	* tool/gkr-tool-import.c:
	* tool/gkr-tool.c: Fix importing of objects from tool.
	
	* daemon/pk/gkr-pk-index.c:
	* daemon/pk/gkr-pk-index.h:
	* daemon/pk/gkr-pk-object-storage.c: Only load properly imported keys 
	in main object storage. Remove keys properly when deleted.
	
2008-08-09  Stef Walter  <stef@memberwebs.com>

	* conifgure.in:
	* Makefile.am:
	* tool/gkr-tool.c: (added)
	* tool/gkr-tool.h: (added)
	* tool/gkr-tool-import.c: (added)
	* tool/Makefile.am: (added) Add basics of gnome-keyring 
	command line tool.
	
2008-08-07  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-storage.c: Fix problem with unititialized
	variable in prompting for password. Fixes bug #544554.
	
	* daemon/ssh/gkr-ssh-storage.c: Fix problem with result 
	comparison. Related to #544554
	
2008-08-03  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== gnome-keyring 2.23.6 ===

2008-08-03  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release 2.23.6
	
2007-08-03  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-attribute.c:
	* gp11/gp11-call.c:
	* gp11/gp11-object.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/gp11.h: Add concept of invalid attributes. Don't throw error
	when some attributes of a multi attribute retrieval are invalid.
	Call async ready callbacks with right object. 
	
	* daemon/data/gnome-keyring.schemas.in: Add gconf schema for 
	noting the PKCS#11 modules for the current user.
	
2008-08-03  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-attributes.c:
	* gp11/gp11-object.c: 
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c: 
	* gp11/gp11.h:
	* gp11/tests/unit-test-gp11-attributes.c: More fine tuning of GP11 
	library. Add missing functions. Clarify date handling.
	 
2008-08-03  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-attributes.c:
	* gp11/gp11.h:
	* gp11/gp11.pc.in:
	* pkcs11/Makefile.am: Fine tune GP11 library. Make attribute 
	data be guchar, and install gnome PKCS#11 header. Set proper
	version on the library. 
	
2008-07-30  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c:
	* daemon/keyrings/gkr-keyring-binary.c:
	* daemon/keyrings/gkr-keyring-item.c:
	* daemon/keyrings/gkr-keyring-login.c:
	* daemon/keyrings/gkr-keyrings.c:
	* daemon/keyrings/gkr-keyring-textual.c:
	* library/tests/unit-test-keyrings.c: Manage keyring and item 
	reference counting properly. Fixes bug #545456
	
2008-07-30  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c: Fix erroneous warning on shutdown.
	
2008-07-30  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-cert.c:
	* daemon/pk/gkr-pk-index.c:
	* daemon/pk/gkr-pk-object.c:
	* daemon/pk/gkr-pk-object.h:
	* daemon/pk/gkr-pk-root-storage.c: When a certificate is in the Roots
	storage, assume it is a CA if no basic constraints are present. 
	
2008-07-27  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-storage.c:
	* daemon/ssh/gkr-ssh-storage.c:
	* gp11/gp11-misc.c: Fix text problems highlighted by Claude Paroz 
	Fixes bug #545030.

2008-07-25  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-module.c: Build fixes. Fixes bug #544407
	
2008-07-25  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-import.c:
	* daemon/pk/gkr-pk-index.c:
	* daemon/pk/gkr-pk-index.h:
	* daemon/pk/gkr-pk-object.c:
	* daemon/pk/gkr-pk-root-storage.c:
	* daemon/pk/gkr-pk-storage.c:
	* daemon/ssh/gkr-ssh-storage.c:
	* daemon/ui/gkr-ask-daemon.c: Fix problems using SSH and other PK 
	related stuff when index unlock is denied by the user. We should 
	default to a session index.
	
2008-07-24  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-module.c:
	* gp11/tests/unit-test-gp11-module.c:
	* gp11/tests/unit-test-gp11-object.c:
	* gp11/tests/unit-test-gp11-session.c:
	* gp11/tests/unit-test-gp11-slot.c:
	* pkcs11/gkr-pkcs11-module.c:
	* pkcs11/Makefile.am:
	* pkcs11/tests/Makefile.am:
	* pkcs11/tests/unit-test-pkcs11-initialize.c:
	* configure.in: Add ability to gnome-keyring module to pass in the
	socket using the reserved argument. This is similar to how NSS
	libsoftkn3 likes to be initialized. 
	
2008-07-23  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11-attributes.c: Build fix
	
2008-07-23  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c:
	* common/gkr-async.h:
	* common/gkr-daemon-util.c:
	* common/gkr-daemon-util.h:
	* daemon/gkr-daemon-io.c:
	* daemon/pkcs11/gkr-pkcs11-daemon-session.c:
	* daemon/ssh/gkr-ssh-daemon-io.c:
	* daemon/ui/gkr-ask-daemon.c:
	* daemon/ui/gkr-ask-request.c:
	* daemon/ui/gkr-ask-request.h: Don't prompt for the same prompt twice 
	while servicing the same client connection. Fixes bug #544373
	
2008-07-23  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-import.c:
	* daemon/pk/gkr-pk-index.c:
	* daemon/pk/gkr-pk-index.h:
	* daemon/pk/gkr-pk-object.c:
	* daemon/pk/gkr-pk-object-storage.c:
	* daemon/pk/gkr-pk-root-storage.c:
	* daemon/pk/gkr-pk-storage.c:
	* daemon/ssh/gkr-pk-storage.c: Use the login keyring for storing
	indexes of PK objects. Handle the 'deny' to unlock use case 
	better.  
	
2008-07-23  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-storage.c: Try storage of SSH and other key 
	passwords in the old 2.22 style, so that user's desktops 
	continue to work as expected. 
	
2008-07-21  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.23.5 ===

2008-07-21  Stef Walter  <stef@memberwebs.com>

	* gp11/Makefile.am: 
	* configure.in:
	* NEWS: Release 2.23.5
	
2008-07-21  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gkr-pkcs11-module.c: Build fix. Fixes bug #543221
	
	* common/gkr-location.c: Fix crash in libhal_ctx_shutdown. 
	Fixes bug #544007
	
2008-07-20  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* daemon/pk/gkr-pk-index.c:
	* daemon/pk/gkr-pk-object-storage.c:
	* daemon/pk/gkr-pk-places.h: (removed)
	* daemon/pk/gkr-pk-root-storage.c:
	* daemon/pk/gkr-pk-root-storage.h:
	* daemon/pk/Makefile.am: Initialize root storage properly.

	* pk/gkr-pk-object.c: Default name for Netscape Trust
	
2008-07-20  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-root-storage.c:
	* daemon/pkix/gkr-pkix-parser.c: Build fixes
	
2008-07-19  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h:
	* gp11/gp11-call.c:
	* gp11/gp11-marshal.list:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/Makefile.am: 
	* gp11/tests/gp11-test-module.c:
	* gp11/tests/unit-test-gp11-session.c: Auto login of sessions when 
	and where necessary.
	
2008-07-19  Stef Walter  <stef@memberwebs.com>

	* gp11/gp11.h
	* gp11/gp11.pc.in:
	* gp11/gp11-call.c:
	* gp11/gp11-private.h:
	* gp11/gp11-session.c:
	* gp11/gp11-slot.c:
	* gp11/Makefile.am:
	* gp11/tests/unit-test-gp11-session.c: Add ability to reuse sessions,
	in a simple pool.  
	
2008-07-14  Stef Walter  <stef@memberwebs.com>

	* gp11/tests/gp11-test.h:
	* gp11/tests/gp11-test-module.c:
	* gp11/tests/Makefile.am:
	* gp11/tests/unit-test-gp11-attributes.c:
	* gp11/tests/unit-test-gp11-module.c:
	* gp11/tests/unit-test-gp11-object.c:
	* gp11/tests/unit-test-gp11-session.c:
	* gp11/tests/unit-test-gp11-slot.c:
	* tests/gtest.make: (moved from check.make)
	* tests/gtest-helpers.c: (moved from check-helpers.c)
	* tests/gtest-helpers.h: (moved from check-helpers.h)
	* tests/Makefile.am:
	* tests/prep-gtest.sh: (moved from prep-check.sh)
	* configure.in: Move to glib based testing for new stuff
	
2008-07-14  Stef Walter  <stef@memberwebs.com>

	* daemon/pk/gkr-pk-cert.c:
	* daemon/pk/gkr-pk-import.c:
	* daemon/pk/gkr-pk-object.c:
	* daemon/pk/gkr-pk-privkey.c:
	* daemon/pk/gkr-pk-pubkey.c:
	* daemon/pkcs11/gkr-pkcs11-daemon-session.c:
	* daemon/pkcs11/gkr-pkcs11-dsa.c:
	* daemon/pkcs11/gkr-pkcs11-rsa.c: Only use CKR_GENERAL_ERROR
	when it's really quite dire.
	
	* gp11/gp11.h: (added)
	* gp11/gp11.pc.in: (added)
	* gp11/gp11-attributes.c: (added)
	* gp11/gp11-call.c: (added)
	* gp11/gp11-misc.c: (added)
	* gp11/gp11-module.c: (added)
	* gp11/gp11-object.c: (added)
	* gp11/gp11-private.h: (added)
	* gp11/gp11-session.c: (added)
	* gp11/gp11-slot.c: (added)
	* gp11/Makefile.am: (added)
	* gp11/pkcs11.h: (added)
	* gp11/tests/gp11-test.h: (added)
	* gp11/tests/gp11-test-module.c: (added)
	* gp11/tests/Makefile.am: (added)
	* gp11/tests/unit-test-gp11-attributes.c: (added)
	* gp11/tests/unit-test-gp11-module.c: (added)
	* gp11/tests/unit-test-gp11-object.c: (added)
	* gp11/tests/unit-test-gp11-session.c: (added)
	* gp11/tests/unit-test-gp11-slot.c: (added)
	* tests/check.make: (added)
	* tests/check-helpers.c: (added)
	* tests/check-helpers.h: (added)
	* tests/prep-check.sh: (added)
	* configure.in:
	* Makefile.am: Added new GP11 library
	 
2008-07-09  Stef Walter  <stef@memberwebs.com>

	Move all daemon code and sub-modules into daemon/ directory.

2008-07-09  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-cert.c:
	* pk/gkr-pk-cert.h:
	* pk/gkr-pk-manager.c: (moved from gkr-pk-object-manager.c)
	* pk/gkr-pk-manager.h: (moved from gkr-pk-object-manager.h)
	* pk/gkr-pk-netscape-trust.c:
	* pk/gkr-pk-netscape-trust.h:
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-object-manager.c: (moved to gkr-pk-manager.c)
	* pk/gkr-pk-object-manager.h: (moved to gkr-pk-manager.h)
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-privkey.h:
	* pk/gkr-pk-root-storage.c:
	* pk/gkr-pk-session.c:
	* pk/gkr-pk-session.h:
	* pk/gkr-pk-session-storage.c:
	* pk/gkr-pk-storage.c:
	* pk/gkr-pk-storage.h:
	* pk/Makefile.am:
	* pk/tests/unit-test-pk-cert.c:
	* pk/tests/unit-test-pk-netscape-trust.c: 
	* pk/tests/unit-test-pk-object.c: 
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkcs11/gkr-pkcs11-dsa.h:
	* ssh/gkr-ssh-daemon-ops.c:
	* ssh/gkr-ssh-storage.c: Rework how object creation happens. Rename
	GkrPkObjectManager to GkrPkManager. Add concept of a PK session, which
	PKCS#11 and SSH can now use. 
	
	* pk/gkr-pk-import.c: (added)
	* pk/gkr-pk-import.h: (added)
	* pk/gkr-pk-util.c:
	* pk/gkr-pk-util.h:
	* pk/Makefile.am:
	* pk/tests/check-attribute.c:
	* pk/tests/Makefile.am:
	* pk/tests/unit-test-pk-import.c: (added)
	* pkcs11/pkcs11g.h:
	* pkix/gkr-pkix-parser.c: Implement 'import' PKCS#11 object.
	 
2008-07-08  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-object-storage.h:
	* pk/gkr-pk-storage.c:
	* pk/gkr-pk-storage.h:
	* pk/Makefile.am:
	* pkix/gkr-pkix-serialize.c:
	* pkix/gkr-pkix-serialize.h: Reimplement arbitrary token object
	storage in new storage framework.
	
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/tests/Makefile.am: 
	* pk/tests/unit-test-pk-object.c: (added) 
	Better support for calculating and using labels for objects.
	
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-privkey.h:
	* ssh/gkr-ssh-daemon-ops.c:
	* ssh/gkr-ssh-storage.c:
	* ssh/gkr-ssh-storage.h:
	* ssh/tests/unit-test-ssh-storage.c: Don't load SSH public keys 
	directly, just provide them as hints for the private keys to use.
	
2008-07-07  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c: Null terminate hex encodings properly
	
	* common/gkr-location.c: 
	* common/gkr-location.h: 
	* common/tests/unit-test-location.c: Add function to delete files, and 
	check if a location is a volume.
	
	* daemon/gkr-daemon-ops.c: Allow arbitrary item types.
	
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyrings.c:
	* keyrings/gkr-keyrings.h: Can create keyrings in arbitrary locations.
	
	* daemon/gkr-daemon-ops.c:
	* keyrings/gkr-keyring.c: Consolidate the keyring unlocking logic.
	
	* keyrings/gkr-keyring-binary.c: 
	* keyrings/gkr-keyring-item.c:
	* keyrings/gkr-keyring-item.h: Functions to manage item attribute lists.
	
	* keyrings/gkr-keyring-item.c: 
	* keyrings/gkr-keyring-login.c:
	* keyrings/tests/unit-test-keyring-file.c: 
	* library/gnome-keyring.h:
	* pk/gkr-pk-cert.c:
	* pk/gkr-pk-index.c:
	* pk/gkr-pk-index.h:
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-pubkey.c:
	* pk/gkr-pk-root-storage.c: (added)
	* pk/gkr-pk-root-storage.h: (added)
	* pk/gkr-pk-session-storage.c: (added)
	* pk/gkr-pk-session-storage.h: (added)
	* pk/gkr-pk-storage.c: (added)
	* pk/gkr-pk-storage.h: (added)
	* pk/Makefile.am:
	* pk/tests/unit-test-pk-cert.c:
	* pk/tests/unit-test-pk-index.c:
	* pk/tests/unit-test-pk-netscape-trust.c:
	* pkcs11/gkr-pkcs11-daemon-session.c: 
	* pkix/gkr-pkix-marshal.list
	* pkix/gkr-pkix-parser.c:
	* pkix/gkr-pkix-parser.h:
	* pkix/tests/unit-test-pkix-parser.c:
	* pkix/tests/unit-test-pkix-serialize.c:
	* configure.in: Put indexes into keyrings, and rework how storage
	of PK objects is thought out. 

	* daemon/gkr-daemon.c:   
	* pkix/gkr-pkix-openssl.c:
	* pkix/gkr-pkix-openssl.h:
	* pkix/gkr-pkix-pem.c:
	* pkix/gkr-pkix-pem.h:
	* pkix/tests/unit-test-pkix-openssl.c: (added)
	* ssh/gkr-ssh-daemon-io.c:
	* ssh/gkr-ssh-daemon-ops.c:
	* ssh/gkr-ssh-proto.c:
	* ssh/gkr-ssh-storage.c: (added)
	* ssh/gkr-ssh-storage.h: (added)
	* ssh/Makefile.am: 
	* ssh/tests/Makefile.am: (added)
	* ssh/tests/unit-test-ssh-storage.c: (added) 
	Add an SSH key store which loads ~/.ssh
	
2008-07-02  Stef Walter  <stef@memberwebs.com>

	* common/gkr-buffer.c: Better checks, and buffer handling.
	Bugs found by Jon Burgress. 
	 
2008-07-02  Stef Walter  <stef@memberwebs.com>

	* common/gkr-unix-credentials.c:
	* library/tests/unit-test-other.c: Fix problem with 
	gnome_keyring_is_available() producing spurious warnings
	in the logs. Fixes bug #511285
	
2008-07-02  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c:
	* library/tests/unit-test-keyrings-prompt.c:
	* configure.in: Add --disable-acl-prompts option to disable
	all access/allow ACL prompts. These were dubious security 
	value. Disabling may become the default in the future.  
	Fixes bug #533493
	
2008-06-30  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c: Make gkr_async_usleep() sleep for 
	the proper amount of time. Patch by Jon Burgess
	
2008-06-29  Stef Walter  <stef@memberwebs.com>

	* common/gkr-unix-credentials.c: Fix build issues. 
	See bug #540397. Patch by margali
	
	* keyrings/gkr-keyrings.c:
	* pkcs11/gkr-pkcs11-module.c:
	* pkcs11/gkr-pkcs11-daemon.c:
	* pkcs11/gkr-pkcs11-calls.h:
	* daemon/gkr-daemon-ops.c: Fix build issues on Mac OS X
	See bug #535859. Patch by John Ralls

2008-06-21  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c: Initialize random number generator
	with something a bit stronger than time().
	
2008-05-26  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number
	
=== gnome-keyring 2.22.2 ===

2008-05-26  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.22.2
	
2008-05-26  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c: Fix compiler warnings. Fixes bug #534328
	
2008-05-26  Stef Walter  <stef@memberwebs.com>

	* common/gkr-unix-credentials.c: Another compiler fix. 
	
2008-05-18  Stef Walter  <stef@memberwebs.com>

	* common/gkr-unix-credentials.c: Fix use of undefined variable
	on certain OS's. Patch by Brian Cameron. Fixes bug #530989
	
	* common/gkr-unix-credentials.c: Add additional header for 
	building on NetBSD. Patch by Matthias Drochner. Fixes bug #532014
	
	* common/gkr-unix-credentials.c: Add socket credential support
	for OpenBSD. Patch by Antoine Jacoutot. Fixes bug #532143 
	
2008-05-18  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c: Fix crash when HAL location volume
	is not registered for some reason. Fixes bug #530316
	
2008-04-29  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-object-storage.c: Return gboolean from parsed_* 
	callbacks so we don't have double free scenarios.
	
	* pk/gkr-pk-cert.c: Don't use critical warnings on invalid
	certificates. Return serial number properly.

2008-04-18  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-index.c:
	* pk/gkr-pk-index.h:
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-privkey.c: 
	* ui/gkr-ask-request.h: Streamline the importing of keys, and make 
	the proper 'import' prompt come up when importing. Don't repeatedly
	try to import a key that a user has 'denied'. Use the 'cancel'
	label instead of 'deny' for the import prompt. See bug #528122
	
2008-04-16  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.h:
	* ui/gkr-ask-request.c: Don't show 'Location' in password prompt 
	for objects in the user's home directory.
	
2008-04-06  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.22.1 ===

2008-04-06  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.22.1

2008-04-05  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* pk/gkr-pk-places.h:
	* ssh/gkr-ssh-daemon-io.c:
	* configure.in:
	* Makefile.am: Add configure option to disable SSH agent. 
	
2008-04-05  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-privkey.c: 
	* ssh/gkr-ssh-daemon-ops.c: Make 'ssh-add -D' and 'ssh-add -d'
	lock any SSH private keys that gnome-keyring natively handles.
	Fixes bug #524823
	
2008-04-05  Stef Walter  <stef@memberwebs.com>

	* pkix/gkr-pkix-openssl.c: Fix compiler warnings about 
	uninitialized variables. Patch by Alex Converse. Fixes 
	bug #523928

2008-03-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* daemon/gkr-daemon.c: Include pkcs11 in the --help message too.

2008-03-18  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c: Reconnect to system bus whenever 
	the system bus restarts. Patch by Sjoerd Simons. Fixes 
	bug #522410 
	
2008-03-16  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c:
	* common/gkr-crypto.h:
	* pk/gkr-pkcs11-daemon-session.c:
	* pk/gkr-pkcs11-rsa.c:
	* pk/gkr-pkcs11-rsa.h: Move RSA padding functionality into a 
	more accessible location.  

	* common/gkr-buffer.c:
	* common/gkr-buffer.h:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-object-manager.h:
	* pk/gkr-pk-pubkey.c:
	* ssh/gkr-ssh-daemon-ops.c:
	* ssh/gkr-ssh-private.h:
	* ssh/gkr-ssh-proto.c: Add SSH agent protocol version 1 support.
	Cleanup how session keys are managed. Fixes bug #520860
	
2008-03-16  Stef Walter  <stef@memberwebs.com>

	* library/Makefile.am: Include GNOME_KEYRING_NETWORK_PASSWORD 
	exported in libgnome-keyring.so. Patch by Andrea Del Signore.
	Fixes bug #522651

2008-03-13  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c: 
	* ui/gkr-ask-request.c: Avoid usage of the 'environ' global
	variable and use g_list_env() instead. Fixes bug #522027
	
2008-03-13  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c: Log to syslog even when running in 
	the foreground. This helps starting from DBus. Patch by 
	Tony Espy. Fixes bug #522253
	
=== gnome-keyring 2.22.0 ===

2008-03-09  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.22.0

2008-02-26  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gkr-pkcs11-daemon-session.c: Build fix. 
	Patch by Jens Granseuer. Fixes bug #518916
	
=== gnome-keyring 2.21.92 ===

2008-02-24  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release version 2.21.92

2008-02-21  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-io.c:
	* library/gnome-keyring.c: Shutdown socket connections properly. 
	This may fix the hang problems described in bug #503278

2008-02-14  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-proto.c: Build fix due to glib 
	g_realloc signature change.

2008-02-14  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c:
	* common/tests/unit-test-crypto.c:
	* pkix/gkr-pkix-der.c:
	* pkix/gkr-pkix-parser.c:
	* pkix/tests/test-data/unclient.p12: Try NULL passwords in addition to 
	empty passwords when parsing encrypted files. Fixes bug #514761
	
2008-02-14  Stef Walter  <stef@memberwebs.com>

	* common/tests/unit-test-unique.c:
	* pk/gkr-pk-cert.c:
	* pk/gkr-pk-index.c:
	* pk/gkr-pk-index.h:
	* pk/gkr-pk-netscape-trust.c:
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-object-manager.h:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-privkey.h:
	* pk/tests/unit-test-pk-index.c: Use the word 'digest' instead of 'unique'
	to make it clearer what is going on.

	* pkix/gkr-pkix-parser.c:
	* pkix/gkr-pkix-parser.h:
	* pkix/tests/unit-test-pkix-parser.c: Limit the PKCS#12 parsing to only
	one element per bag, since that is all we can realistically prompt for 
	passwords for.
	
2008-02-14  Stef walter  <stef@memberwebs.com>

	* pk/gkr-pk-object-storage.c:
	* pkix/gkr-pkix-parser.c:
	* pkix/gkr-pkix-parser.h:
	* pkix/gkr-pkix-types.h: Make strings more easily translateble. Fixes bug #515119
	
2008-02-14  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c: Fix build problem. Fixes bug #516526
	
2008-02-14  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c: Fix problem setting environment variables.

2008-02-14  Stef Walter  <stef@memberwebs.com>

	* common/gkr-buffer.c:
	* common/gkr-buffer.h:
	* common/gkr-daemon-util.c:
	* common/gkr-daemon-util.h:
	* daemon/gkr-daemon.c:
	* daemon/gkr-daemon-ops.c:
	* library/gnome-keyring.c:
	* library/gnome-keyring.h:
	* library/gnome-keyring-opcodes.h:
	* library/gnome-keyring-proto.c:
	* library/gnome-keyring-proto.h:
	* library/tests/unit-test-other.c:
	* reference/gnome-keyring-sections.txt:
	* reference/tmpl/gnome-keyring-daemon.sgml: (added)
	* reference/tmpl/gnome-keyring-misc.sgml:
	* ui/gkr-ask-daemon.c:
	* ui/gkr-ask-daemon.h:
	* ui/gkr-ask-request.c:
	* ui/gkr-ask-tool.c: Add API to sync up environment between session manager
	and the daemon. 
	
2008-02-13  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-privkey.c: Add null pointer check when 
	getting key id.
	
2008-02-11  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== gnome-keyring 2.21.91 ===

2008-02-11  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release version 2.21.91

2008-02-10  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-object-storage.c: Fix translater comments. 
	See bug #515119
	
2008-02-10  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Don't ask PAM to prompt for password
	if no password is available. Fixes bug #514862. Patch by Ray Strode
	
2008-02-10  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c:
	* common/gkr-crypto.h:
	* common/gkr-unique.c: (moved to gkr-id.c)
	* common/gkr-unique.h: (moved to gkr-id.h)
	* common/Makefile.am:
	* common/tests/unit-test-crypto.c:
	* common/tests/unit-test-unique.c:
	* pk/gkr-pk-cert.c:
	* pk/gkr-pk-cert.h:
	* pk/gkr-pk-index.c:
	* pk/gkr-pk-index.h:
	* pk/gkr-pk-netscape-trust.c:
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-privkey.h:
	* pk/gkr-pk-pubkey.c:
	* pk/gkr-pk-pubkey.h:
	* pk/gkr-pk-util.c:
	* pk/gkr-pk-util.h:
	* pk/tests/unit-test-pk-cert.c:
	* pk/tests/unit-test-pk-index.c:
	* pk/tests/unit-test-pk-key.c:
	* pk/tests/unit-test-pk-netscape-trust.c:
	* pkix/gkr-pkix-parser.c:
	* pkix/gkr-pkix-parser.h:
	* pkix/tests/unit-test-pkix-parser.c:
	* pkix/tests/unit-test-pkix-serialize.c:
	* ssh/gkr-ssh-daemon-ops.c: Change name of gkrunique to gkrid 
	
2008-02-07  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-index.c:
	* pk/gkr-pk-object-storage.c:
	* pkix/tests/unit-test-pkix-parser.c: Fix assertions for an unknown
	parsed type (ie: zero). 
	
2008-02-07  Stef Walter  <stef@memberwebs.com>

	* common/Makefile.am:
	* common/gkr-daemon-util.h:
	* common/gkr-unix-credentials.c: (added)
	* common/gkr-unix-credentials.h: (added)
	* daemon/gkr-daemon-io.c:
	* library/gnome-keyring.c:
	* pam/gkr-pam-client.c:
	* pam/gkr-pkcs11-daemon-session.c:
	* pam/gkr-pkcs11-daemon.c:
	* pam/gkr-pkcs11-module.c: Add checking that PKCS#11 socket 
	connections come from the appropriate uid.
	
2008-02-05  Stef Walter  <stef@memberwebs.com>

	* ui/gkr-ask-entry.c: (added)
	* ui/gkr-ask-entry.h: (added)
	* ui/gkr-ask-tool.c: 
	* ui/Makefile.am:
	* ui/test-input.txt: (added)
	* configure.in: Don't lock the entire gnome-keyring-ask process into 
	memory. This allows it to work properly on systems where there is 
	limited lockable memory available.
	
2008-02-02  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-cert.c:
	* pk/gkr-pk-netscape-trust.c:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-pubkey.c:
	* pk/tests/unit-test-pk-cert.c:
	* pk/tests/unit-test-pk-key.c:
	* pk/tests/unit-test-pk-netscape-trust.c:
	* pkix/Makefile.am:
	* pkix/gkr-pkix-asn1.c:
	* pkix/gkr-pkix-asn1.h:
	* pkix/gkr-pkix-der.c:
	* pkix/gkr-pkix-der.h:
	* pkix/gkr-pkix-openssl.c:
	* pkix/gkr-pkix-openssl.h:
	* pkix/gkr-pkix-parser.c:
	* pkix/gkr-pkix-parser.h:
	* pkix/gkr-pkix-serialize.c: (added)
	* pkix/gkr-pkix-serialize.h: (added)
	* pkix/gkr-pkix-types.h: (added)
	* pkix/tests/Makefile.am:
	* pkix/tests/unit-test-pkix-der.c:
	* pkix/tests/unit-test-pkix-parser.c:
	* pkix/tests/unit-test-pkix-serialize.c: (added)
	* pkix/tests/test-data/der-certificate.crt: (added) Reworked pkix parsing
	and added some serializing capabilities. Add basic infrastructure for
	serializing of objects like certificates and keys.

2008-01-31  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyring.c:
	* ssh/gkr-ssh-daemon-ops.c:
	* ssh/gkr-ssh-proto.c:
	* ssh/gkr-ssh-daemon-io.c:
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* daemon/gkr-daemon-io.c:
	* library/gnome-keyring-proto.c:
	* pkix/gkr-pkix-asn1.c: Fix more compile problems due to 
	glib changing signature of g_realloc.

2008-01-30  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c: Fix compile problem on 
	with certain combinations of libraries.

2008-01-29  Stef Walter  <stef@memberwebs.com>

	* ui/gkr-ask-tool.c: Fix message. Add missing word.

2008-01-28  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== gnome-keyring 2.21.90 ===

2008-01-28  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release version 2.21.90

2008-01-22  Stef Walter  <stef@memberwebs.com>

	* configure.in: Remove 'startup components' message.
	
2008-01-22  Stef Walter  <stef@memberwebs.com>

	* keyring/gkr-keyring-login.c: Fix problem where most keyrings
	were being treated as insecure from the point of view of 
	storing passwords for keys or certificates.
	
2008-01-14  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c: Fix race condition that is causing 
	a deadlock in bug #502603.

2008-01-14  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number.

=== gnome-keyring 2.21.5 ===

2008-01-14  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release version 2.21.5

2008-01-14  Stef Walter  <stef@memberwebs.com>

	* Merged revisions 924 - 1006 from gnome-2-20 branch

2008-01-13  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-cert.c:
	* pk/gkr-pk-cert.h:
	* pk/gkr-pk-netscape-trust.c:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-object-storage.h:
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-privkey.h:
	* pk/gkr-pk-pubkey.c:
	* pk/gkr-pk-pubkey.h:
	* pk/gkr-pk-util.c:
	* pk/gkr-pk-util.h:
	* pk/tests/Makefile.am:
	* pk/tests/check-attribute.c:
	* pk/tests/unit-test-pk-cert.c:
	* pk/tests/unit-test-pk-key.c: (added)
	* pk/tests/unit-test-pk-netscape-trust.c:
	* pk/tests/test-data/privkey-1.key: (renamed from .crt)
	* pk/tests/test-data/privkey-3.key: (added)
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkcs11/gkr-pkcs11-dsa.c: Proper support for creating and destroying
	objects through PKCS#11 (no token save functionality yet). Also proper
	infrastructure for setting of attributes.
	
2008-01-11  Stef Walter  <stef@memberwebs.com>

	* common/tests/unit-test-secmem.c:
	* library/tests/unit-test-memory.c: Fix memory tests so they can 
	operate in 32K of lockable memory.
	
2008-01-11  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c: Drain the wakeup FD properly, so that we 
	don't hang in strange ways. Fixes part of bug #502603, see 
	backtrace in comment #21

2008-01-05  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* data/gnome-keyring.schemas.in: (added)
	* data/Makefile.am: (added)
	* configure.in:
	* Makefile.am: Added gconf configuration of which components
	are run at startup. Fixes bug #502437
	
2008-01-04  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyring-textual.c: Fix compiler warning.
	Fixes bug #506128
	
2007-12-21  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-index.c:
	* pk/gkr-pk-index.h: Refactor index value writing and reading code.

	* pk/gkr-pk-cert.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-object-storage.h:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-pubkey.c:
	* pk/tests/unit-test-pk-index.c:
	* pkix/gkr-pkix-parser.c:
	* pkix/gkr-pkix-parser.h: 
	* pkix/tests/test-data/email.p12: Fix up object parsing so that we 
	track the type of object in the index. This helps with partial parses
	of things like certificates from PKCS#12 files. Also fix certificate
	object so it can handle delayed loaded certificates.
	
2007-12-21  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* pk/gkr-pk-places.h:
	* configure.in: Add configure options for startup components 
	and root certificate directory.
	
	* pk/gkr-pk-netscape-trust.c: Fix uninitialized variable.
	
	* pk/gkr-pk-cert.c: 
	* pkix/gkr-pkix-asn1.c:
	* pkix/gkr-pkix-der.c: Calculate the CA certificate category properly.
	
	* pk/gkr-pk-netscape-trust.c: 
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h: 
	* pk/tests/unit-test-pk-netscape-trust.c: Calculate the trust/purpose properly.
	
	* pk/gkr-pk-index.c: 
	* pk/gkr-pk-places.h: Load values properly from defaults even when 
	when no index file exists for the object.
	
	* pk/Makefile.am:
	* pk/tests/Makefile.am:
	* pkcs11/Makefile.am:
	* pkix/Makefile.am: Build and install fixes
	
	* common/gkr-location.c: Use preconditions instead of asserts for 
	validating arguments.
	
	* common/gkr-location-watch.c: Don't list directories from the watch.
		
2007-12-20  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-index.c:
	* pk/gkr-pk-index.h: Access indexes on an object basis and flush
	the object caches when something in the index changes.

	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-privkey.h:
	* pk/gkr-pk-pubkey.c:
	* pk/gkr-pk-pubkey.h:
	* pkcs11/gkr-pkcs11-daemon-session.c: 
	* pkcs11/gkr-pkcs11-dsa.c:
	* pkcs11/gkr-pkcs11-dsa.h: 
	* ssh/gkr-ssh-daemon-ops.c: Change how objects are added into a manager.

	* pk/gkr-pk-cert.c:
	* pk/gkr-pk-cert.h:
	* pk/gkr-pk-netscape-trust.c: (added)
	* pk/gkr-pk-netscape-trust.h: (added)
	* pk/gkr-pk-places.h:
	* pk/gkr-pk-purpose.c: (removed)
	* pk/gkr-pk-purpose.h: (removed)
	* pk/gkr-pk-util.c: 
	* pk/Makefile.am:
	* pk/tests/check-attribute.c: (added)
	* pk/tests/Makefile.am:
	* pk/tests/unit-test-pk-cert.c: (added)
	* pk/tests/unit-test-pk-index.c: 
	* pk/tests/unit-test-pk-netscape-trust.c: (added)
	* pk/tests/test-data/*: (added)
	* pkcs11/pkcs11g.h: Add purpose and trust to certificates and fix a 
	number of certificate attribute bugs. Add Netscape trust object.  
	Add unit tests for certificates and trust objects.

	* pkix/gkr-pkix-asn1.c: ASN.1 boolean can be missing and be false
	
	* pkix/gkr-pkix-der.c: 
	* pkix/gkr-pkix-der.h: Fix parsing bugs in basic constraints, key usage 
	and enhanced key usage.

	* tests/ca-example/*: Add test CA and test certificates.
	
2007-12-19  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c:
	* common/gkr-location.h:
	* common/tests/unit-test-location.c:
	* pk/gkr-pk-index.c:
	* pk/gkr-pk-index.h:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-places.h:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-util.c:
	* pk/tests/unit-test-pk-index.c:
	* pkcs11/Makefile.am
	* pkcs11/pkcs11g.h: (added)
	* ssh/gkr-ssh-daemon-ops.c: Added concept of 'places' directories which 
	are searched for keys or certificates. Added ability to attach default 
	index attributes for places. SSH only uses keys marked as 'ssh-authentication'
	
2007-12-18  Stef Walter  <stef@memberwebs.com>

	* common/gkr-buffer.c:
	* common/gkr-buffer.h:
	* daemon/gkr-daemon-ops.c:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring.h:
	* keyrings/gkr-keyring-binary.c:
	* keyrings/gkr-keyring-login.c:
	* keyrings/gkr-keyring-login.h:
	* keyrings/gkr-keyring-textual.c:
	* keyrings/Makefile.am:
	* keyrings/tests/Makefile.am:
	* keyrings/unit-test-keyring-file.c: (added)
	* keyrings/unit-test-keyring-login.c:
	* keyrings/unit-test-login-prompt.c:
	* keyrings/tests/test-data/*.keyring: (added)
	* pk/gkr-pk-object-storage.c:
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* ui/gkr-ask-tool.c: Add support for unencrypted keyrings when 
	the user specifies a blank password. Fixes bug #386866
	
2007-12-18  Stef Walter  <stef@memberwebs.com>

	* gkr-location.c: Initialize Dbus error structure properly.
	Fixes crash on shutdown. Patch by Jeff Cai. Fixes bug #504239
	
2007-12-17  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.21.4 ===

2007-12-17  Stef Walter  <stef@memberwebs.com>

	* daemon/Makefile.am:
	* NEWS:
	* configure.in: Release version 2.21.4

2007-12-15  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-cert.h:
	* pk/gkr-pk-purpose.c:
	* pk/gkr-pk-purpose.h:
	* pkix/gkr-pkix-constants.h:
	* pkix/gkr-pkix-der.c:
	* pkix/gkr-pkix-der.h: Add the PKCS#11 'purpose' object which exposes 
	trust and usage. 
	
2007-12-15  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-object.c: Fix uninitialized variable. Patch by Cosimo Cecchi.
	Fixes bug # 503737
	
2007-12-15  Stef Walter  <stef@memberwebs.com>

	* common/tests/unit-test-crypto.c: Don't generate key and empty
	entropy pool just for tests.
	
	* common/gkr-secure-memory.c: x64 fixes to the secure memory allocator.

2007-12-07  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-cert.[ch]: (moved from pkix/)
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-pubkey.c:
	* pk/Makefile.am:
	* pkix/gkr-pkix-cert.[ch]: (moved to pk/)
	* pkix/Makefile.am: Move the GkrPkixCert class from pkix to pk
	
2007-12-07  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* daemon/Makefile.am: Only install system DBus service file if 
	DBus is in use. Patch from Tom Parker. See bug #421554
		
2007-12-06  Halton Huo <halton.huo@sun.com>

	Fix bug #501996
	* configure.in: check flock and timegm existence.
	* pk/gkr-pk-index.c: (flock): Implement flock if flock not found.
	* pkix/gkr-pkix-asn1.c: (timegm): Implement timegm if timegm not found.

2007-12-06  Stef Walter  <stef@memberwebs.com>

	* daemon/Makefile.am:
	* org.gnome.keyring.service.in:
	* configure.in: Automatically activate keyring daemon via DBus
	if it is not already running. Patch from Tom Parker. Fixes bug #421554
	
2007-12-06  Stef Walter  <stef@memberwebs.com>

	* pkcs11/gkr-pkcs11-module.c: Fix compiler warning. 
	See bug #500588
	
=== gnome-keyring 2.21.3.2 ===

2007-12-05  Stef Walter  <stef@memberwebs.com>

	* keyrings/Makefile.am:
	* pk/Makefile.am:
	* pkcs11/Makefile.am:
	* pkcs11/gkr-pkcs11-module-export.map: (removed)
	* ssh/Makefile.am:
	* ui/Makefile.am:
	* NEWS:
	* configure.in: Release gnome-keyring 2.21.3.2 with more build
	fixes so it builds in jhbuild


2007-12-04  Stef Walter  <stef@memberwebs.com>

	* pkcs11/Makefile.am: Don't append version numbers to 
	the PKCS #11 module, and use simpler linking options.
	
	* pk/gkr-pk-object-manager.c: Fix dangling pointer.
	
	* pkcs11/gkr-pkcs11-message.c:
	* pkcs11/gkr-pkcs11-module.c: Use G_DISABLE_ASSERT to control whether
	assertions are in place. Prevents confusion with half the assertions
	disabled.
	
	* pkix/gkr-pkix-asn1.c: 
	* pkix/tests/unit-tests-pkix-asn1.c: Proper parsing of two digit 
	dates in the UTCTime type. 40 years into the past, 60 into the future.
	
	* pkcs11/gkr-pkcs11-module.c: Return soft failures from 
	C_GetAttributeValue properly.
	
	* pkcs11/gkr-pkcs11-message.c: Fix some erroneous assertions.
	
	* pk/gkr-pk-util.c: Proper formating of a date into a PKCS#11 CK_DATE
	
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-pubkey.c: Lookup related certificates properly using GType 
	
2007-12-04  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-pubkey.c:
	* pk/gkr-pk-util.c:
	* pk/gkr-pk-util.h:
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkix/gkr-pkix-cert.c:
	* pkix/gkr-pkix-der.c: x86_64 build fixes. Patch by Dan Winship
	
2007-12-04  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.21.3.1 ===

2007-12-04  Stef Walter  <stef@memberwebs.com>

	* NEWS:
	* configure.in: Release gnome-keyring 2.21.3.1

2007-12-04  Stef Walter  <stef@memberwebs.com>

	* common/gkr-unique.c: Fix buffer sizes when using SHA1, and 
	close hashing context.

	* pkcs11/Makefile.am: Remove -version-info for PKCS#11 module

	* pkix/Makefile.am: Make sure we add the appropriate 
	include directories when compiling.

2007-12-03  Stef Walter  <stef@memberwebs.com>

	* common/gkr-unique.c: Use SHA1 for unique hashes instead of MD5.
	 
2007-12-03  Stef Walter  <stef@memberwebs.com>

	* pkcs11/Makefile.am: Install PKCS#11 module into 
	$(prefix)lib/gnome-keyring. 

2007-12-01  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.21.3 ===

2007-12-01  Stef Walter  <stef@memberwebs.com>

	* NEWS: 
	* pkcs11/Makefile.am:
	* pkix/Makefile.am:
	* pkix/tests/Makefile.am:
	* ssh/Makefile.am:
	* tests/Makefile.am: Release gnome-keyring 2.21.3

2007-12-01  Stef Walter  <stef@memberwebs.com>

	* common/tests/unit-test-async.c:
	* keyrings/tests/unit-test-keyring-login.c:
	* library/tests/unit-test-daemon-setup.c:
	* tests/test-helpers.c: Fix tests so they run properly when
	automatically run.

2007-12-01  Stef Walter  <stef@memberwebs.com>

	* Merge revisions from gnome-2-20 branch. 878 - 924

2007-12-01  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-object-manager.c: 
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-pubkey.c: Fix object finalizing bugs.
	
	* pk/gkr-pk-index.c: 
	* pk/gkr-pk-object-storage.c: Store index files in *.keystore, and 
	look for keys/certificates in ~/.gnome2/keystore
	
	* pkcs11/gkr-pkcs11-module.c: A simpler name for the PKCS#11 token 
	since it gets displayed all over the place.
	
	* common/gkr-unique.c: Fix passing of heap memory to g_slice
	
	* pkcs11/gkr-pkcs11-dsa.c:
	* pkix/gkr-pkix-der.c: Fix some DSA bugs.
	
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-object-manager.h:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-pubkey.c:
	* pk/gkr-pk-pubkey.h:
	* pkcs11/gkr-pkcs11-calls.h:
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkcs11/gkr-pkcs11-module.c:
	* pkcs11/gkr-pkix-cert.c:
	* ssh/gkr-ssh-daemon-ops.c: Fix session objects so they are visible 
	for all sessions in a client application, but are still scoped to 
	the session they were created on.
	
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-util.c:
	* pk/gkr-pk-util.h:
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkcs11/gkr-pkcs11-dsa.c:
	* pkcs11/gkr-pkcs11-dsa.h: Implement creation of DSA key objects.
	
2007-12-01  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyring-login.c: Refresh keyrings before trying 
	to create a login keyring, so we don't create it over and over.
	
2007-12-01  Stef Walter  <stef@memberwebs.com>

	* common/gkr-crypto.c:
	* common/gkr-crypto.h:
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkcs11/gkr-pkcs11-dsa.c: (added)
	* pkcs11/gkr-pkcs11-dsa.h: (added)
	* pkcs11/gkr-pkcs11-mechanisms.h: 
	* pkcs11/gkr-pkcs11-rsa.c:
	* pkcs11/gkr-pkcs11-rsa.h:
	* pkcs11/Makefile.am:
	* ssh/gkr-ssh-proto.c: Add RSA encrypt, and DSA operations.

2007-11-30  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-pubkey.c: Implement RSA public key CK_VALUE

	* pkcs11/gkr-pkcs11-daemon-module.c: Don't access mechanism 
	parameters unless the mechanism is definied to have a parameter.
	
	* pkcs11/gkr-pkcs11-daemon-session.c: 
	* pkcs11/gkr-pkcs11-gkr-pkcs11-rsa.c:
	* pkcs11/gkr-pkcs11-gkr-pkcs11-rsa.h: Implement decrypt operation
	for CKM_RSA_X_509.
	
2007-11-29  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c:
	* common/gkr-location.h:
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-object.h:
	* pk/gkr-pk-object-manager.c:
	* pk/gkr-pk-object-manager.h:
	* pk/gkr-pk-object-storage.c:
	* pk/gkr-pk-object-storage.h:
	* pk/gkr-pk-privkey.c:
	* pk/gkr-pk-privkey.h:
	* pk/gkr-pk-pubkey.c:
	* pk/gkr-pk-pubkey.h:
	* pk/Makefile.am:
	* pkix/gkr-pkix-cert.c:
	* pkix/gkr-pkix-cert.h:
	* pkix/gkr-pkix-parser.c:
	* ssh/gkr-ssh-daemon.c: Rework how objects are loaded and keep 
	them in the object manager as long as they are referenced.

	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkcs11/gkr-pkcs11-mechanisms.h:
	* pkcs11/gkr-pkcs11-rsa.c:
	* pkcs11/gkr-pkcs11-rsa.h: Implement CKM_RSA_X_509 Sign and Verify
	
2007-11-29  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location-watch.c:
	* common/tests/unit-test-crypto.c:
	* common/tests/unit-test-location-watch.c:
	* library/tests/unit-test-daemon-setup.c:
	* pam/tests/Makefile.am:
	* pam/tests/unit-test-pam.c:
	* pam/tests/unit-test-pam-setup.c:
	* tests/run-tests.sh: Fix bugs in tests and regression bugs exposed
	
2007-11-29  Stef Walter  <stef@memberwebs.com>

	* common/Makefile.am:
	* common/tests/*: 
	* keyrings/tests/*:
	* library/Makefile.am:
	* library/tests/*:
	* pam/Makefile.am:
	* pam/tests/*:
	* pkix/tests/*:
	* tests/*:
	* ui/gkr-ask-daemon.c:
	* ui/gkr-ask-daemon.h:
	* configure.in: Cleanup and organize tests to be with the components
	that they test.
	
2007-11-29  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* daemon/gkr-daemon-ops.c:
	* keyrings/gkr-keyring-login.c: (added)
	* keyrings/gkr-keyring-login.h: (added)
	* keyrings/gkr-keyrings-auto-unlock.c: (removed)
	* keyrings/gkr-keyrings-auto-unlock.h: (removed)
	* keyrings/Makefile.am:
	* pk/gkr-pk-object-manager.c:
	* pkcs11/gkr-pkcs11-daemon-session.c: Prompt for main login when a PKCS#11
	client tries to log in.

	* pkcs11/gkr-pkcs11-message.c: Allow sending of null byte arrays

	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkcs11/gkr-pkcs11-mechanisms.h:
	* pkcs11/gkr-pkcs11-rsa.c:
	* pkcs11/gkr-pkcs11-rsa.h: A first whack at implementing the PKCS#11
	sign operation.
	
	* pkcs11/gkr-pkcs11-module.c: Properly reuse previous message when 
	its output buffers were too short.
	
	* pkcs11/gkr-pkcs11-daemon-session.c: Don't block other tasks during 
	reads and writes.

2007-11-29  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-stubs.c: Fix missing symbol in PAM module.

	* library/gkr-keyring.c: Fix dumb errors loading keyrings.

	* ssh/gkr-ssh-daemon-io.c: Cleaner shutdown for SSH agent 
	connections.
	
	* common/gkr-async.c: A better async worker task switching location
	is from a GSource rather than from the poll function.
	
	* common/gkr-buffer.c: Fix crasher when serializing null strings. 
	
	* tests/unit-test-daemon-setup.c: Use correct path for connection to 
	daemon in tests when the daemon is already running.
	
	* pk/gkr-pk-util.c: Don't use g_slice for random sizes of data found
	in attributes.

2007-11-29  Stef Walter  <stef@memberwebs.com>

	* pk/gkr-pk-privkey.c:
	* pkix/gkr-pkix-asn1.c: Fix uninitialized variable usage. 
	Fixes bug #500380
	
2007-11-28  Stef Walter  <stef@memberwebs.com>

	* pkix/gkr-pkix-cert.c:
	* pkix/gkr-pkix-der.c: 
	* pkix/gkr-pkix-der.h: Parse the certificate public key properly and 
	use the correct ID for the public key.
	
	* common/gkr-location-watch.c:
	* common/gkr-location-watch.h:
	* keyrings/gkr-keyrings.c: 
	* pk/gkr-pk-object-manager.c: 
	* tests/unit-test-location-watch.c: Allow excluding files from location watch
	
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkix/gkr-pkix-asn1.c:
	* pkix/gkr-pkix-cert.c: Fix problems listing certificates
	
	* pk/gkr-pk-object.c:
	* pk/gkr-pk-util.c:
	* pkcs11/gkr-pkcs11-daemon.c:
	* pkcs11/gkr-pkcs11-daemon-session.c:
	* pkcs11/gkr-pkcs11-module.c: Fix problems that prevent listing of 
	objects via PKCS#11. 
	 
2007-11-28  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* daemon/Makefile.am:
	* pkcs11/gkr-pkcs11-daemon.c:
	* pkcs11/gkr-pkcs11-daemon.h:
	* pkcs11/gkr-pkcs11-daemon-test.c: (removed)
	* Makefile.am: Integrate PKCS#11 daemon code into the main daemon.
	
2007-11-28  Stef Walter  <stef@memberwebs.com>

	* cryptoki/*: (moved to pkcs11/, renamed to *pkcs11*)
	* doc/file-format.txt: (moved to keyrings/)
	* doc/keyring-intro.txt: (moved to /)
	* HACKING:
	* Makefile.am: Move cryptoki stuff into pkcs11/ directory and rename 
	the namespace prefixes. Move the doc/ files into other locations.
	
2007-11-28  Stef Walter  <stef@memberwebs.com>

	* common/gkr-daemon-util.[ch]:
	* common/gkr-dbus.[ch]:
	* common/gkr-location.h:
	* common/gkr-location.[ch]:
	* keyrings/gkr-keyring-auto-unlock.[ch]:
	* pk/gkr-pk-index.[ch]:
	* pk/gkr-pk-util.[ch]:
	* pkix/gkr-pkix-der.[ch]:
	* ui/gkr-ask-tool.[ch]:
	* ui/gkr-ask-tool-widgets.c: Add and update license stubs in 
	headers properly.
	
2007-11-28  Stef Walter  <stef@memberwebs.com>

	* Massive merge from cryptoki branch: 570 - 887

2007-11-25  Stef Walter  <stef@memberwebs.com>

	* Merge revisions from gnome-2-20 branch. 860 - 878
  
2007-11-24  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c: Make library more thread friendly
	by not scheduling IO callbacks until after our internal state
	is all in order. See bug #474695
	
2007-11-24  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-utils.c: Add better result messages.
	See bug #476682
	
2007-11-24  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c:
	* pam/gkr-pam-module.c: Make PAM module work withe SELinux
	by passing the login password to the daemon over stdin. 
	Patch by Alexander Larrson. Fixes bug #484612
	
2007-11-24  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c:
	* library/gnome-keyring.h:
	* reference/gnome-keyring-sections.txt:
	* reference/tmpl/gnome-keyring-password.sgml:
	* tests/unit-test-keyrings.c: Change password API to use schemas, 
	which both define reduce typing and encourage developers to use 
	the same set of attribute names for similar purposes.
	
2007-11-24  Stef Walter  <stef@memberwebs.com>

	* configure.in: Define GNU_SOURCE for systems that require
	it. Patch by christopher taylor. Fixes bug #491021
	
2007-11-24  Stef Walter  <stef@memberwebs.com>

	* reference/tmpl/gnome-keyring-result.sgml: Note about 
	additional error codes that might be added from time to time.
	See bug #488851
	
2007-11-24  Stef Walter  <stef@memberwebs.com>

	* common/gkr-dbus.c:
	* configure.in: Fix building with the latest DBUS. 
	Patch by Owen Taylor. Fixes bug #487590
	
2007-11-24  Stef Walter  <stef@memberwebs.com>

	* common/gkr-secure-memory.c: 
	* daemon/gkr-daemon.c:
	* library/gnome-keyring-memory.c:
	* library/gnome-keyring-private.h: When running an application
	that uses libgnome-keyring don't warn about not being able to 
	use secure memory. Only print that warning for the daemon. 
	Fixes bug #484976.
	
2007-11-22  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c:
	* library/gnome-keyring.h:
	* reference/gnome-keyring-sections.txt:
	* reference/tmpl/gnome-keyring-item-info.sgml:
	* reference/tmpl/gnome-keyring-memory.sgml:
	* reference/tmpl/gnome-keyring-password.sgml:
	* reference/tmpl/gnome-keyring-unused.sgml:
	* tests/unit-test-keyrings.c: Add new simpler password storage APIs.

2007-10-15  Stef Walter  <stef@memberwebs.com>

	* common/gkr-secure-memory.c: Include header necessary
	for building on OpenBSD. Patch by Jasper Lievisse Adriaanse

2007-10-15  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.20.1 ===

2007-10-15  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release gnome-keyring 2.20.1

2007-10-09  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* pam/Makefile.am: Link pam module with libpam.
	Patch by Sebastian Dröge. Fixes bug #484629

2007-10-04  Stef Walter  <stef@memberwebs.com>

	* pam/Makefile.am:
	* configure.in:
	* Makefile.am: Remove 'install-pam' make target and just use
	--with-pam-dir Patch by Rémi Cardona. Fixes bug #474219.
	
2007-10-04  Stef Walter  <stef@memberwebs.com>

	* tests/unit-test-cleanup.c: Appease dumb GCC error. 
	
2007-10-03  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c:
	* library/gnome-keyring-result.h:
	* library/gnome-keyring-utils.c:
	* tests/unit-test-keyrings.c: Add a NO_MATCH result code and 
	return it when 'find' has zero results. We do this because 
	it seems that several poorly coded applications don't know how
	to handle empty lists. gnome-keyring-daemon used to return 
	'access denied' in this case, which is clearly bogus. So since
	we don't want to break ABI, we need to return another failure
	result code. Fixes bug #476682
	
2007-10-03  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyrings.c: Don't remove keyrings on exit which 
	clears the 'default' file. Just free them.
	
2007-09-23  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c: Add newly created keyrings to our 
	list of loaded keyrings. Patch by Darren Kenny. Fixes bug #476644
	
2007-09-18  Stef Walter  <stef@memberwebs.com>

	* configure.in: Release with proper version number 2.20.0

=== gnome-keyring 2.20 ===

2007-09-17  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release gnome-keyring 2.20

2007-09-06  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-1-uninstalled.pc.in: Don't include 
	libgnome-keyring-common internal library in stuff we 
	advertize. Patch by Halton Huo. Fixes bug #473796

2007-09-01  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c: Put in comments for translators,
	suggested by Claude Paroz
	
2007-08-26  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number
	
=== gnome-keyring 2.19.91 ===

2007-08-26  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release gnome-keyring 2.19.91

2007-08-20  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Fix use of uninitialized return value.
	Fixes bug #468393
	
2007-08-19  Stef Walter  <stef@memberwebs.com>

	* common/gkr-dbus.c: Fix building with newer versions of DBus.
	Fixes bug #465936. Patch by Theppitak Karoonboonyanan
	
2007-08-19  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Correctly start the daemon from PAM's
	pam_sm_open_session callback rather than the pam_sm_authenticate,
	when the 'auto_start' flag is set on the 'session' line.
	This makes us more solid and sane with GDM and well behaved PAM 
	using applications. Fixes bug #467852. Patch from Chris Rivera
	
2007-08-19  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-client.c: stat the socket and check for correct 
	user before connecting to it from the PAM module, and sending 
	password there. 
	
2007-08-19  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyring.c: Don't read from /dev/random when not
	needed. This makes startup faster in many cases, as it won't 
	block for entropy.
	 
2007-08-18  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: 
	* library/gnome-keyring-utils.c: Get around more optimizations that 
	cancel out wiping of strings before freeing.
	
2007-08-18  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-client.c: Reorder the inclusion of headers
	necessary for compiling on FreeBSD. See bug #466060
	
2007-08-15  Stef Walter  <stef@memberwebs.com>

	* common/gkr-secure-memory.c:
	* pam/gkr-pam-client.c:
	* pam/gkr-pam-module.c: Build fixes for FreeBSD. Patch by
	Joe Marcus Clarke. Fixes bug #466060
	
2007-08-12  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.19.90 ===

2007-08-12  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: 
	* MAINTAINERS: Release gnome-keyring 2.19.90

2007-08-12  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c: Create keyrings in the right directory.
	Patch from Nathaniel McCallum. Fixes bug #465157
	
2007-08-10  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon-ops.c: 
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyrings.c:
	* ui/gkr-ask-daemon.c: Fix memory leaks
	
2007-08-10  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Put an upper limit on the amount of data
	the daemon can send to us.
	
2007-08-10  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-client.c: Make sure the daemon is running as the 
	same user as us before passing passwords to it.
	
2007-08-07  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyring.c: Always default to a proper volume
	when none is selected or returned by ask request.
	
2007-08-06  Stef Walter  <stef@memberwebs.com>

	* ui/gkr-ask-tool.c: Fix possible crash in ask tool from 
	dereferencing a NULL error. Fixes bug #464051
	* ui/gkr-ask-request.c: Fix crash when gnome-keyring-ask
	gives an invalid response back to the daemon. Fixes bug #464055
	
2007-08-01  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Use strtok_r instead of strsep so that 
	we can build on Solaris. Fixes bug #462122
	
2007-08-01  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-export.map: (removed)
	* library/Makefile.am:
	* pam/gkr-pam-export.map: (removed)
	* pam/Makefile.am: Use -export-symbols-regex to mark with symbols
	to export instead of a GNU LD --version-script. This allows us to 
	build on Solaris' linker. Fixes bug #462349

2007-07-31  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-client.c:
	* pam/gkr-pam-module.c:
	* pam/gkr-pam.h: Include headers and defines necessary for 
	building on Solaris. Patch by Damien Carbery. Fixes bug #462118
	
2007-07-31  Stef Walter  <stef@memberwebs.com>

	* ui/gkr-ask-tool.c: Don't use err () because of Solaris.
	Fixes bug #462114
	
2007-07-31  Stef Walter  <stef@memberwebs.com>

	* pam/Makefile.am:
	* configure.in: Configurable option for PAM library directory.
	Patch from Matthias Clasen. Fixes bug #461045
	
2007-07-31  Stef Walter  <stef@memberwebs.com>

	* daemon/gkr-daemon.c: (moved from gnome-keyring-daemon.c)
	* daemon/gkr-daemon.h: (moved from gnome-keyring-daemon.h)
	* daemon/gkr-daemon-io.c: (moved from gnome-keyring-daemon-io.c)
	* daemon/gkr-daemon-ops.c: (moved from gnome-keyring-daemon-ops.c)
	* daemon/Makefile.am:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring-item.c:
	* keyrings/gkr-keyring-item.h:
	* library/gnome-keyring.c:
	* library/gnome-keyring-export.map: (added)
	* library/gnome-keyring-private.h:
	* library/gnome-keyring-proto.c:
	* library/gnome-keyring-proto.h: 
	* pam/gkr-pam-export.map
	* pam/Makefile.am: Only export the functions from shared libraries 
	that we want to export. Prefix all exportable functions with
	gnome_keyring_ and vice versa. 
	
2007-07-31  Stef Walter  <stef@memberwebs.com>

	* tests/unit-test-location.c: Fix wrong test with regards to 
	location children.
	
=== gnome-keyring 2.19.6.1 === 

2007-07-30  Stef Walter  <stef@memberwebs.com>

	* NEWS:
	* configure.in: Released version 2.19.6.1

2007-07-30  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c:
	* ui/Makefile.am:
	* configure.in: Build fixes when building with/without HAL/PAM 
	
2007-07-30  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon-ops.c: Fix uninitialized variable
	in op_get_item_info(). Fixes bug #461342
	
2007-07-27  Stef Walter  <stef@memberwebs.com>

	* pam/Makefile.am:
	* configure.in: Better installing of PAM module.
	Patch from Matthias Clasen. See bug #461045

2007-07-27  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c:
	* library/gnome-keyring-memory.c: Build fixes from Jens
	Granseuer. Fixes bug #461025

2007-07-27  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c: Fix warning when building with 
	WITH_TESTS not enabled. Patch from Claudio Saavedra
	Fixes bug #461011

2007-07-27  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version
	
=== gnome-keyring 2.19.6 === 

2007-07-27  Stef Walter  <stef@memberwebs.com>

	* NEWS:
	* configure.in: Released version 2.19.6
	
2007-07-27  Stef Walter  <stef@memberwebs.com>

	* tests/unit-test-location.c: Choose dummy mount names less likely
	to interfere with real mounts.
	
2007-07-27  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c: 
	* ui/gkr-ask-tool-widgets.c: Fix compiler warnings
	
2007-07-27  Stef Walter  <stef@memberwebs.com>

	* ui/gkr-ask-tool.c: Grab the keyboard properly when prompting
	for a password. Fixes bug #349729

2007-07-26  Stef Walter  <stef@memberwebs.com>

	* doc/keyring-intro.txt: Updated docs to match wiki
	
2007-07-26  Stef Walter  <stef@memberwebs.com>

	* common/gkr-location.c:
	* common/gkr-location.h:
	* daemon/gnome-keyring-daemon-ops.c:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring.h:
	* keyrings/gkr-keyrings.c:
	* tests/unit-test-location.c:
	* ui/gkr-ask-request.c:
	* ui/gkr-ask-request.h:
	* ui/gkr-ask-tool.c:
	* ui/gkr-ask-tool.h: (added)
	* ui/gkr-ask-tool-widgets.c: (added)
	* ui/Makefile.am: Add indications in the UI when a keyring is on 
	a removable drive. Add option to create keyrings on a non-local drive.
	
2007-07-26  Stef Walter  <stef@memberwebs.com>

	* common/gkr-dbus.c: (split from daemon/gnome-keyring-daemon-dbus.c)
	* common/gkr-dbus.h: (added)
	* common/gkr-location.c: (added)
	* common/gkr-location.h: (added)
	* common/Makefile.am:
	* daemon/gnome-keyring-daemon-dbus.c:
	* daemon/gnome-keyring-daemon-io.c:
	* daemon/gnome-keyring-daemon-ops.c:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring.h:
	* keyrings/gkr-keyrings.c:
	* keyrings/gkr-keyrings.h:
	* library/gnome-keyring.h:
	* tests/Makefile.am:
	* tests/unit-test-async.c:
	* tests/unit-test-keyrings.c:
	* tests/unit-test-location.c: (added)
	* configure.in:
	* HACKING: Added support for using keyrings on removable drives
	Fixes bug #454390
	
2007-07-26  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* pam/gkr-pam-module.c: (parse_args): Initialise args
	variable to 0 to silence the compiler with -Werror.

2007-07-25  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon.c: Close standard file descriptors
	properly when not running in the foreground. Fixes bug #460313
	
2007-07-24  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam.h:
	* pam/gkr-pam-module.c: Don't try to launch daemon if not requested
	in pam configuration arguments for the module (ie: 'auto_start')
	
2007-07-24  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon.c: Don't try to launch DBus if the 
	environment variable doesn't exist. 
	
2007-07-23  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam.h:
	* pam/gkr-pam-client.c:
	* pam/gkr-pam-module.c: Fix bugs with changing passwords via 
	/usr/bin/passwd
	
2007-07-23  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon.c:
	* daemon/gnome-keyring-daemon-ops.c:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring.h:
	* keyrings/gkr-keyring-item.c:
	* keyrings/gkr-keyring-item.h:
	* keyrings/gkr-keyrings.c:
	* keyrings/gkr-keyrings.h:
	* library/gnome-keyring.c:
	* library/gnome-keyring.h:
	* library/gnome-keyring-utils.c:
	* tests/Makefile.am:
	* tests/unit-test-keyrings.c:
	* tests/unit-test-login-prompt.c:
	* ui/gkr-ask-request.c:
	* ui/gkr-ask-requset.h:
	* ui/gkr-ask-tool.c: Add support for automatically unlocking other 
	keyrings when their password is entered into the 'login' keyring.
	Fixes bug #459069
	
2007-07-22  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyrings.c: The first keyring automatically becomes
	the default. This helps the 'login' keyring become default.
	
2007-07-22  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon.c:
	* library/gnome-keyring.h:
	* library/gnome-kerying-opcodes.h: (added)
	* library/gnome-keyring-proto.h:
	* library/gnome-keyring-result.h: (added)
	* pam/gkr-pam.h: (added)
	* pam/gkr-pam-client.c: (added)
	* pam/gkr-pam-module.c:
	* pam/gkr-pam-stubs.c: (added)
	* pam/Makefile.am: Now uses the 'login' keyring instead of the 
	default. Added support for unlocking an already running  keyring. 
	Fixes bug #459071. Added initial support for changing passwords on the 
	'login' keyring. See bug #459069
	
2007-07-22  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c: Fix race condition.
	
2007-07-21  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon.c:
	* pam/gkr-pam-module.c: Make the 'input password' argument even
	more scary. It's an interim implementation for 2.19 and 2.20 
	releases only.

2007-07-21  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Don't use pid file to mark running 
	gnome-keyring-daemon process. This causes problems with 
	multiple logins.
	
2007-07-21  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon.c: Don't call glib functions in forked
	processes. Wait on child properly.
	
2007-07-21  Stef Walter  <stef@memberwebs.com>

	* pam/gkr-pam-module.c: Wait on child process properly, even when 
	SIGCHLD is being ignored.

2007-07-21  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon-io.c:
	* daemon/gnome-keyring-daemon-ops.c:
	* keyrings/gkr-keyring.c:
	* library/gnome-keyring-proto.c:
	* library/gnome-keyring-proto.h: Remove identical functions in 
	gkr-buffer.c and gnome-keyring-proto.c
	
2007-07-20  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon.c:
	* daemon/gnome-keyring-daemon-ops.c:
	* daemon/Makefile.am:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring.h:
	* library/Makefile.am:
	* pam/gkr-pam-module.c: (added)
	* pam/Makefile.am: (added) 
	* tests/Makefile.am:
	* tests/unit-test-pam.c: (added)
	* tests/unit-test-pam-setup.c: (added)
	* configure.in
	* Makefile.am: Added basic PAM support. Unlock default keyring
	on login if the password matches.
	
2007-07-16  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	reviewed by: Olav Vitters <ovitters@gnome.org>

	* daemon/gnome-keyring-daemon-ops.c: (op_create_item):
	Initialize item to NULL to fix -Werror crap.

2007-07-14  Stef Walter  <stef@memberwebs.com>

	* tests/Makefile.am:
	* tests/test-helpers.c: (added)
	* tests/unit-test-async.c:
	* tests/unit-test-daemon-setup.c:
	* tests/unit-test-mainloop-setup.c:
	* tests/unit-test-memory.c:
	* tests/unit-test-secmem.c:
	* tests/unit-tests-prep.sh: Fix up unit tests
	
2007-07-14  Stef Walter  <stef@memberwebs.com>

	* tests/test-keyrings.c:
	* tests/unit-test-keyrings-prompt.c:
	* ui/gkr-ask-daemon.c:
	* ui/gkr-ask-daemon.h:
	* ui/gkr-ask-daemon.h: Added misssing license headers
	
2007-07-14  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c:
	* common/gkr-async.h:
	* common/gkr-unix-signal.c:
	* common/gkr-unix-signal.h:
	* common/gkr-wakeup.c:
	* common/gkr-wakeup.h:
	* daemon/gnome-keyring-daemon.c:
	* daemon/gnome-keyring-daemon.h:
	* daemon/gnome-keyring-daemon-io.c:
	* daemon/gnome-keyring-daemon-ops.c:
	* tests/unit-test-async.c:
	* tests/unit-test-mainloop-setup.c:
	* tests/unit-test-private.h:
	* tests/unit-test-signal.c:
	* ui/gkr-ask-daemon.c:
	* ui/gkr-ask-daemon.h:
	* ui/gkr-ask-request.c:
	* ui/gkr-ask-request.h: Move to a cooperative threading model for the 
	daemon, this simplifies a lot of code and will make adding in the other
	parts of the daemon (PKCS#11 and SSH, etc...) far easier.
	
2007-07-11  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon-ops.c:
	* tests/unit-test-keyrings-prompt.c: Fix problem where keyrings are not
	prompted to be unlocked when accessing items directly. Fixes bug #454871
	
2007-07-09  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c: Fix problem building on Sun's strange
	cc compiler. Patch by Halton Huo. Fixes bug #455107

2007-07-06  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-memory.c: Return NULL from 
	gnome_keyring_memory_strdup when called with NULL. Fixes bug #453138
	
2007-07-06  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.19.5 === 

2007-07-06  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.19.5

2007-07-05  Olav Vitters  <olav@bkor.dhs.org>

	* common/gkr-secure-memory.c: (suba_print_cell):
	* library/gnome-keyring.c: (read_all): Fix build fail: ambiguous
	fprintf() arguments Fixes bug #452498 (Theppitak Karoonboonyanan).

2007-07-02  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* common/gkr-secure-memory.c:
	Fix gcc4 compiler warning that breaks build (bug #452202).

2007-06-30  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon-ops.c:
	* library/gnome-keyring.c:
	* library/gnome-keyring.h:
	* library/gnome-keyring-utils.c:
	* reference/gnome-keyring-docs.sgml:
	* reference/gnome-keyring-sections.txt:
	* reference/tmpl/gnome-keyring-acl.sgml:
	* reference/tmpl/gnome-keyring-attributes.sgml:
	* reference/tmpl/gnome-keyring-find.sgml:
	* reference/tmpl/gnome-keyring-generic-callbacks.sgml:
	* reference/tmpl/gnome-keyring-item-info.sgml:
	* reference/tmpl/gnome-keyring-items.sgml:
	* reference/tmpl/gnome-keyring-keyring-info.sgml:
	* reference/tmpl/gnome-keyring-keyrings.sgml:
	* reference/tmpl/gnome-keyring-memory.sgml:
	* reference/tmpl/gnome-keyring-misc.sgml:
	* reference/tmpl/gnome-keyring-result.sgml: Add basic API reference documentation 
	
2007-06-27  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyrings.c:
	* ui/gkr-ask-daemon.c: Fix inited flag so it we don't try to 
	reinitialize when performing cleanup.
	
2007-06-27  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon-ops.c:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring-item.c:
	* tests/unit-test-keyrings-prompt.c:
	* ui/gkr-ask-request.c:
	* ui/gkr-ask-tool.c: Properly unlock keyrings when finding, and 
	display item names by looking them up after the keyring is 
	unlocked. Fixes bug #451710
	
2007-06-27  Jürg Billeter  <j@bitron.ch>

	* daemon/gnome-keyring-daemon-ops.c: (access_request_from_item):
	Display appropriate message when using default keyring.
	Fixes bug #451703

2007-06-27  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.c:
	* library/gnome-keyring.h:
	* tests/Makefile.am:
	* tests/unit-test-async.c:
	* tests/unit-test-keyrings.c:
	* tests/unit-test-mainloop-setup.c: (added)
	* tests/unit-test-private.h: (added)
	* tests/unit-test-signal.c: Added support for async version of 
	gnome_keyring_item_grant_access_rights_sync(). Fixes bug #345141
	
2007-06-27  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.h
	* library/gnome-keyring-utils.c:
	* tests/unit-test-other.c: Added strerror() like functionality for 
	GnomeKeyringResult. Fixes bug #151084
	
2007-06-27  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon-ops.c: 
	* tests/unit-test-keyrings.c:
	* tests/unit-test-keyrings-prompt.c: Allow passing NULL as a password
	to gnome_keyring_unlock(). Fixes bug #141874
	
2007-06-27  Stef Walter  <stef@memberwebs.com>

	* tests/unit-test-daemon-setup.c: Don't start gnome-keyring-daemon 
	in tests if the GNOME_KEYRING_TEST_PATH environment variable is set.
	
2007-06-27  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-proto.c: Fix memory leaks. Patch from 
	Alexander Sack. Fixes bug #451543

2007-06-25  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring-memory.c: Fixed dumb problem with memory
	being freed twice. Fixes bug #450953
	
2007-06-25  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon-ops.c:
	* keyrings/gkr-keyring-item.c:
	* keyrings/gkr-keyring.c:
	* library/gnome-keyring-proto.c: 
	* library/gnome-keyring-utils.c:
	* library/gnome-keyring.c:
	* library/gnome-keyring.h:
	* ui/gkr-ask-request.c: Use gnome_keyring_free_password() to zero out 
	passwords even when not using nonpageable memory.
	* library/gnome-keyring-memory.c: Make warnings about memory be simple
	messages, so that they don't abort the program even when running a 
	beta version of GNOME. Fixes bug #450953
	
2007-06-25  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* common/Makefile.am: 
	* common/gkr-async.c: (from cryptoki branch)
	* common/gkr-async.h: (from cyrptoki branch)
	* common/gkr-unix-signal.c: (added)
	* common/gkr-unix-signal.h: (added)
	* common/gkr-wakeup.c: (added)
	* common/gkr-wakeup.h: (added)
	* daemon/gnome-keyring-daemon.c:
	* tests/Makefile.am:
	* tests/unit-test-async.c: (from cryptoki branch)
	* tests/unit-test-signal.c: (added)
	* tests/unit-tests-prep.sh: Properly handle unix signals. Quit main 
	loop gracefully.
	
2007-06-25  Stef Walter  <stef@memberwebs.com>

	* common/Makefile.am: 
	* common/gkr-cleanup.c: (added)
	* common/gkr-cleanup.h: (added)
	* daemon/gnome-keyring-daemon-dbus.c:
	* daemon/gnome-keyring-daemon.c:
	* daemon/gnome-keyring-daemon.h:
	* keyrings/gkr-keyrings.c:
	* keyrings/gkr-keyrings.h:
	* tests/Makefile.am:
	* tests/unit-test-cleanup.c:
	* ui/gkr-ask-daemon.c:
	* ui/gkr-ask-daemon.h: Use registered cleanup callbacks instead of a 
	myriad of special functions to cleanup each different part of the daemon.
	
2007-06-25  Stef Walter  <stef@memberwebs.com>

	* tests/unit-test-secmem.c: Don't crash during testing by 
	allocating too much memory. 
	
2007-06-22  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* Makefile.am:
	* daemon/gonme-keyring-daemon-dbus.c:
	* daemon/gnome-keyring-daemon-io.c:
	* keyrings/gkr-keyrings.c:
	* tests/Makefile.am:
	* tests/unit-test-daemon-setup.c: (added)
	* tests/unit-test-keyrings.c:
	* tests/unit-test-keyrings-prompt.c:
	* tests/unit-test-memory.c:
	* tests/unit-test-other.c:
	* tests/unit-test-secmem.c:
	* tests/unit-test-prep.sh: Automatic unit testing on distcheck,
	modified daemon so it behaves slightly differently (where it 
	creates sockets, keyrings) when testing.

=== gnome-keyring 2.19.4.1 === 

2007-06-17  Stef Walter  <stef@memberwebs.com>

	* NEWS: Release version 2.19.4.1

2007-06-18  Stef Walter  <stef@memberwebs.com>

	* Makefile.am:
	* configure.in:
	* tests/Makefile.am: Fix building problems with tests.
	Fixes bug #448643

2007-06-17  Stef Walter  <stef@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.19.4 === 

2007-06-17  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* NEWS: Release version 2.19.4

2007-06-17  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon.c: Sends logs to syslog when not running 
	in the foreground.
	
2007-06-17  Stef Walter  <stef@memberwebs.com>

	* daemon/Makefile.am:
	* daemon/gnome-keyring-daemon-ops.c: (copied from gnome-keyring-daemon.c)
	* daemon/gnome-keyring-daemon.c: Seperate keyring operations into a 
	different C file.
	
2007-06-16  Stef Walter  <stef@memberwebs.com>

	* library/Makefile.am: Make gnome-keyring-memory.h a public
	header file.

2007-06-15  Stef Walter  <stef@memberwebs.com>

	* common/Makefile.am:
	* common/gkr-buffer.c:
	* common/gkr-buffer.h:
	* common/gkr-secure-memory.c: (added)
	* common/gkr-secure-memory.h: (added)
	* daemon/Makefile.am:
	* daemon/gnome-keyring-daemon-io.c:
	* daemon/gnome-keyring-daemon.c:
	* keyrings/gkr-keyring-item.c:
	* keyrings/gkr-keyring.c:
	* library/Makefile.am:
	* library/gnome-keyring-memory.c:
	* library/gnome-keyring-memory.h:
	* library/gnome-keyring-proto.c:
	* library/gnome-keyring-proto.h:
	* library/gnome-keyring-utils.c:
	* library/gnome-keyring.c:
	* reference/Makefile.am:
	* reference/gnome-keyring-docs.sgml:
	* reference/gnome-keyring-sections.txt:
	* tests/Makefile.am:
	* tests/unit-test-keyrings-prompt.c:
	* tests/unit-test-keyrings.c:
	* tests/unit-test-memory.c:
	* tests-unit-test-other.c:
	* tests/unit-test-secmem.c:
	* ui/gkr-ask-request.c:
	* ui/gkr-ask-tool.c: gnome-keyring-daemon and libgnome-keyring
	now use non-pageable secure memory for secrets and passwords.
	Fixes bug #419981
	
2007-06-15  Stef Walter  <stef@memberwebs.com>

	* common/gkr-async.c: Fix uninitialized variable.
	Fixes bug #448000
	
2007-06-15  Stef Walter  <stef@memberwebs.com>

	* Makefile.am:
	* configure.in:
	* common/gkr-buffer.c: (from cryptoki branch)
	* common/gkr-buffer.h: (from cryptoki branch)
	* daemon/Makefile.am:
	* daemon/gnome-keyring-daemon-io.c:
	* daemon/gnome-keyring-daemon.c:
	* daemon/gnome-keyring-daemon.h:
	* keyrings/gkr-keyring.c:
	* library/Makefile.am:
	* library/gnome-keyring-proto.c:
	* library/gnome-keyring-proto.h:
	* library/gnome-keyring.c:
	* ui/gkr-ask-request.c: Use GkrBuffer instead of GString which
	will facilitate swapping out to a non-pageable memory allocator.
	See bug #419981
	
2007-06-14  Stef Walter  <stef@memberwebs.com>

	* keyrings/gkr-keyring-item.c:
	* keyrings/gkr-keyring.c:
	* library/gnome-keyring-proto.c:
	* library/gnome-keyring-utils.c:
	* library/gnome-keyring.c:
	* ui/gkr-ask-request.c: Mark all locations that need to use 
	non-pageable secure memory. See bug #419981
	
2007-06-14  Stef Walter  <stef@memberwebs.com>

	* configure.in:
	* library/Makefile.am:
	* library/gnome-keyring-memory.h:
	* library/gnome-keyring-memory.c:
	* library/gnome-keyring-private.h:
	* tests/Makefile.am:
	* tests/unit-test-memory.c:
	* tests/unit-tests-prep.sh: Build basic implementation for 
	non-pageable memory. See bug #419981
	
2007-06-14  Stef Walter  <stef@memberwebs.com>

	* ui/gkr-ask-request.c: Initialize GError properly.
	
2007-06-14  Stef Walter  <stef@memberwebs.com>

	* daemon/gnome-keyring-daemon-io.c
	* daemon/gnome-keyring-daemon.c:
	* daemon/gnome-keyring-daemon.h:
	* tests/unit-test-keyrings.c: Make a find operation that does not 
	match any results, return OK instead of DENIED. Fixes bug #447315
	
2007-06-14  Stef Walter  <stef@memberwebs.com>

	* library/gnome-keyring.h: Make -pedantic compatible
	Patch from Sylvain Pasche. Fixes bug #445901

2007-05-29  Stef Walter  <stef@memberwebs.com>

	* AUTHORS:
	* MAINTAINERS:
	* daemon/gnome-keyring-daemon-dbus.c:
	* keyrings/gkr-keyring-item.c:
	* keyrings/gkr-keyring-item.h:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring.h:
	* keyrings/gkr-keyrings.c:
	* keyrings/gkr-keyrings.h:
	* tests/unit-test-keyrings.c:
	* tests/unit-test-other.c: 
	* ui/gkr-ask-request.c: Use my real name

2007-05-18  Nate Nielsen  <nielsen@memberwebs.com>

	* tests/Makefile.am:
	* Makefile.am: Pass make distcheck
	* AUTHORS: Add myself as an author
	* HACKING: Update info files about gnome-keyring
	
2007-05-18  Nate Nielsen  <nielsen@memberwebs.com>

	* ui/gkr-ask-request.h
	* ui/gkr-ask-tool.c: Fix the ugliness that is the password prompt dialog.
	
2007-05-18  Nate Nielsen  <nielsen@memberwebs.com>

	* daemon/gnome-keyring-daemon.c: Fix inconsistencies, such as using the 
	default keyring when NULL keyring is used.
	* ui/gkr-ask-request.c: 
	* ui/gkr-ask-tool.c: Fix problems returning responses from the ask tool.
	* daemon/gnome-keyring-daemon-io.c: 
	* ui/gkr-ask-daemon.c: Fix problem killing client when in an ask request. 
	
2007-05-18  Nate Nielsen  <nielsen@memberwebs.com>

	* tests/Makefile.am:
	* tests/unit-test-keyrings.c:
	* tests/unit-test-keyring-prompt.c:
	* tests/unit-test-other.c: Complete basic unit tests, including prompting tests
	
2007-05-18  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in:
	* Makefile.am:
	* library/Makefile.am:
	* library/test.c (moved to tests/):
	* library/list-keyrings.c (moved to tests/):
	* tests/Makefile.am (added):
	* tests/list-keyrings.c (moved from library/):
	* tests/test-keyrings.c (moved from library/):
	* tests/unit-test-keyrings.c:
	* tests/unit-tests-prep.sh:
	* tests/Makefile (removed): Consolidate our testing and use proper make files.
	
2007-05-17  Nate Nielsen  <nielsen@memberwebs.com>

	* Makefile.am:
	* configure.in:
 	* daemon/Makefile.am:
	* daemon/gnome-keyring-ask.c (moved to ui/):
	* daemon/gnome-keyring-daemon-file.c (removed):
	* daemon/gnome-keyring-daemon-io.c: 
	* daemon/gnome-keyring-daemon.c:
	* daemon/gnome-keyring-daemon.h:
	* keyrings/Makefile.am:
	* keyrings/gkr-keyring.c:
	* keyrings/gkr-keyring.h:
	* keyrings/gkr-keyrings.c (added):
	* keyrings/gkr-keyrings.h (added):
	* library/gnome-keyring-private.h:
	* ui/Makefile.am:
	* ui/gkr-ask-daemon.c (added):
	* ui/gkr-ask-daemon.h (added):
	* ui/gkr-ask-request.c (added):
	* ui/gkr-ask-request.h (added):
	* ui/gkr-ask-tool.c (moved from daemon/): Refactor prompting and keyring 
	listing functionality into objects. 
	* library/gnome-keyring-proto.c: Don't crash on null attributes.
	
2007-05-17  Nate Nielsen  <nielsen@memberwebs.com>

	* tests/* (added): Basics of unit testing 
	
2007-05-17  Nate Nielsen  <nielsen@memberwebs.com>

	* Makefile.am:
	* configure.in:
	* daemon/Makefile.am: 
	* daemon/gnome-keyring-daemon-file.c:
	* daemon/gnome-keyring-daemon-io.c:
	* daemon/gnome-keyring-daemon.c:
	* daemon/gnome-keyring-daemon.h:
	* keyrings/Makefile.am: (added)
	* keyrings/gkr-keyring-item.c (added):
	* keyrings/gkr-keyring-item.h (added):
	* keyrings/gkr-keyring.c (added):
	* keyrings/gkr-keyring.h (added): Use GObject for internal objects
	like keyrings and items. 

2007-05-11  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 2.19.2 === 

2007-05-11  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in:
	* NEWS:
	* README: Release version 2.19.2

2007-05-10  Nate Nielsen  <nielsen@memberwebs.com>

	* daemon/gnome-keyring-ask.c: Don't include markup in translatable
	messages. Patch by Elijah Newren. Fixes bug #360445

2007-05-10  Nate Nielsen  <nielsen@memberwebs.com>

	* daemon/gnome-keyring-daemon-io.c:
	* daemon/gnome-keyring-daemon.c: Cast uid_t and pid_t properly
	to avoid compiler warnings. See bug #340117

2007-05-09  Nate Nielsen  <nielsen@memberwebs.com>
	
	* configure.in: Bump version number to 2.19.1 to sync up 
	with GNOME.

2007-05-08  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: 
	* daemon/gnome-keyring-daemon.c: Fix build problem with gcrypt

2007-05-05  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in:
 	* Makefile.am: 
	* daemon/aes*.[ch]: (removed)
	* daemon/beecrypt_compat.h: (removed)
	* daemon/md5.[ch]: (removed)
	* daemon/sha256.[ch]: (removed)
	* daemon/gnome-keyring-daemon-file.c:
	* daemon/gnome-keyring-daemon.c: Removed custom crypto code and 
	now depend on libgrcypt. Fixes legal issues with Solaris 
	not distributing gnome-keyring. See bug #156860

2007-03-31  Nate Nielsen  <nielsen@memberwebs.com> 
	
	* Reorganized file tree. 
	* library/*: All library and common files
	* daemon/*: All daemon files
	* doc/*: Random documentation
	* configure.in: Updated version number development version

=== Branched for 2.18 work on gnome-2-18 branch ==

2007-03-31  Nate Nielsen  <nielsen@memberwebs.com>

	* gnome-keyring-daemon.c: Fix null pointer crashes. 
	Fixes bug #423320. Patch by Halton Huo

=== gnome-keyring 0.8 ===

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in:
	* NEWS: Release 0.8

=== gnome-keyring 0.7.92 ===

2007-02-24  Nate Nielsen  <nielsen@memberwebs.com>

	* NEWS: Release 0.7.92

2007-02-13  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* gnome-keyring-daemon.h: Include sys/types.h to fix the
	build. Fixes bug #407160, patch by Jens Granseuer.

2007-02-12  Pascal Terjan  <pterjan@linuxfr.org>

	* gnome-keyring-daemon.c: (gnome_keyring_free): Don't crash on NULL
	parameter. Part of #339137

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 0.7.91 ===

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in:
	* NEWS: Release 0.7.91

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

	* gnome-keyring-daemon-io.c: (read_unix_socket_credentials): 
	* gnome-keyring.c: (write_credentials_byte_sync): 
	kFreeBSD build fixes. Patch by Petr Salinger. Fixes bug #382773

2007-02-12  Nate Nielsen  <nielsen@memberwebs.com>

	* Makefile.am: 
	* README:
	* configure.in: 
	* gnome-keyring-daemon-dbus.c: (added)
	* gnome-keyring-daemon.c: (main): 
	* gnome-keyring-daemon.h:
	* gnome-keyring-private.h: 
	* gnome-keyring.c: (connect_to_daemon): 
	Added secondary method for daemon discover: via DBus. Added dependency
	on DBus. Fixes bug #400956
	
2007-01-04  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 0.7.3 ===

2007-01-04  Nate Nielsen  <nielsen@memberwebs.com>

	* NEWS: Release 0.7.3

2007-01-04  Sebastien Bacher  <seb128@ubuntu.com>

	* gnome-keyring-daemon-file.c: (get_default_keyring_file_for_name):
	fix infinite loop when creating a keyring with an already existant
	name, issue pointed by "Yachar" on https://launchpad.net/bugs/60765
	(Closes: bug #356897)

2007-01-03  Nate Nielsen  <nielsen@memberwebs.com>

	* gnome-keyring.c: Update documentation. Fixes bug #359968

2007-01-03  Nate Nielsen  <nielsen@memberwebs.com>

	* gnome-keyring-daemon-file.c: Don't try and delete session 
	keyrirng. Fixes bug #355414

2007-01-03  Nate Nielsen  <nielsen@memberwebs.com>

	* gnome-keyring-daemon.c: Fix crasher for find operation with 
	a NULL attribute string. Fixes #360007

2007-01-03  Nate Nielsen  <nielsen@memberwebs.com>

    * configure.in: 
    * gnome-keyring-daemon-file.c: fsync() after writing to disk.
    See bug #347904

2006-12-18  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-keyring 0.7.2 ===

2006-12-18  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	Build lib before docs
	
	* configure.in:
	* reference/Makefile.am:
	Make docs build

2006-12-18  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-12-14  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.[ch]:
	Don't have multiple outstanding password requests for the
	same keyring. (#331003)

2006-11-30  Andre Klapper  <a9016009@gmx.de>

	* MAINTAINERS: fixed wrong email address

2006-10-05  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: Bump version number

=== gnome-keyring 0.7.1 ===

2006-10-05  Nate Nielsen  <nielsen@memberwebs.com>

	* configure.in: 
	* NEWS: Prepare for release

2006-10-05  Nate Nielsen  <nielsen@memberwebs.com>

	* gnome-keyring.h:
	* reference/gnome-keyring-sections.txt: Update 'documentation' with
	new functions

2006-10-04  Nate Nielsen  <nielsen@memberwebs.com>

   	* Makefile.am:
	* gnome-keyring-daemon.c (request_allowed_for_app, op_list_items_execute,
	op_create_item_collect, op_create_item_execute, op_set_item_info_execute,
	op_find_execute, op_find_collect, schedule_ask): 
	* gnome-keyring.h:
	* test.c: Add ability to mark an item as 'application only' whereby only 
	applications on the ACL will ever get access to the data. See bug #356670

2006-10-31  Nate Nielsen  <nielsen@memberwebs.com>
    
	* configure.in: Bump version number.

2006-10-31  Nate Nielsen  <nielsen@memberwebs.com>

    * gnome-keyring-daemon.c (request_allowed_for_app, access_request_from_item, 
    access_request_from_item_with_secret, op_get_item_info_collect, op_get_item_info_execute,
    op_get_item_acl_or_attributes_collect, schedule_ask):
    * gnome-keyring-daemon.h:
    * gnome-keyring-proto.c (gnome_keyring_proto_encode_op_string_int_int, 
    gnome_keyring_proto_decode_get_item_info):
    * gnome-keyring-proto.h:
    * gnome-keyring.c (gnome_keyring_item_get_info_full, gnome_keyring_item_get_info_full_sync): 
    * gnome-keyring.h:
    * test.c: Adds ability to access meta-data without accessing secret itself.
    This does not incur the ACL prompt. See bug #356298

2006-10-30  Nate Nielsen  <nielsen@memberwebs.com>

	* MAINTAINERS: Added myself

=== Branched for 2.16 work on gnome-2-16 branch ==

2006-10-05  Sven Herzberg  <herzi@gnome-de.org>

	* gnome-keyring-utils.c,
	* gnome-keyring.c: added documentation to some structures and
	functions

2006-09-04  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 0.6.0 (for Gnome 2.16.0)

	* NEWS:
	Update for release.

2006-08-28  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* gnome-keyring-daemon.c, gnome-keyring-daemon-io.c: Add support for
	LOCAL_CREDS socket credentials so that the keyring works under NetBSD.

2006-08-23  Dan Williams  <dcbw@redhat.com>

	* gnome-keyring.c: (gnome_keyring_find_network_password_sync):
	fix crash due to dereference of NULL (#352587)

2006-08-22  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* gnome-keyring-ask.c: (ask_for_new_keyring_password),
	(ask_for_change_keyring_password): Fix ugly typo:
	s/unkown/unknown/

	* po/*: Fix the same typo in all .po files and run
	"make update-po" to update all translations.

2006-08-21  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-keyring 0.5.2 ===

2006-08-21  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Update intltool req.

2006-08-11  Alexander Larsson  <alexl@redhat.com>

	* reference/gnome-keyring-docs.sgml:
	Use sane title in docs (#348477)
	Patch from Ed Catmur   
	
2006-08-11  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c: (find_keyring):
	* gnome-keyring.c: (gnome_keyring_find_network_password_sync):
	Don't crash on deleting a NULL keyring (#350417)
	Patch from Gonzalo Paniagua Javier   

2006-08-01  Arangel Angov <ufo@linux.net.mk>

	* Added Slovenian Translation to LINGUAS
	and added sl.po to /po directory.

2006-06-21  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-proto.c (gnome_keyring_proto_start_operation):
	Add g_warning if application name not set.

2006-06-16  Jules Colding  <colding@omesc.com>

	* gnome-keyring.c (gnome_keyring_item_grant_access_rights_sync): 
	New function to explicitly set access rights to a keyring item 
	for a specific application.

	* gnome-keyring.h: Declared new function to set access rights to 
	keyring item for specific application

2006-06-12  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post-release version bump

=== gnome-keyring 0.5.1 ===

2006-06-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

	* configure.in:
	Update version to 0.5.1, better than .0 for an unstable branch.

2006-04-24  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring.c (gnome_keyring_change_password_sync):
	Whitespace fix (#339436)

2006-04-20  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS):
	Add --enable-gtk-doc to distcheck flags

2006-04-20  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c: (op_set_item_info_execute),
	(op_set_item_attributes_execute):
	Fix more NULL check order. (#338594)
	Patch from Pascal Terjan

2006-04-19  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c:
	Add password strength meter. (#166504)
	Patch from Jorge Bernal

2006-04-19  Alexander Larsson  <alexl@redhat.com>
	* gnome-keyring-daemon.c: (finish_ask_io):
	Save keyring when ACL is added. (#326221)
	Patch from Jon Nettleton

2006-04-19  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon-file.c (get_keyring_dir):
	Create ~/.gnome2 if needed. (#143892)

2006-04-19  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c: 
	* gnome-keyring-proto.h:
	* gnome-keyring.[ch]:
	Add gnome_keyring_daemon_set_display_sync that lets you
	set the DISPLAY if not already set. (#333653)
	Patch from Jon Nettleton

2006-04-19  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c: (op_delete_item_execute):
	Fix NULL check order. (#338594)
	Patch from Pascal Terjan
	
2006-04-19  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* configure.in:
	Use po/LINGUAS
	Patch from Przemyslaw Grzegorczyk

2006-04-19  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c (close_stdinout): 
	Remove unnecessary closes (#141324)

2006-04-19  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c:
	* gnome-keyring-daemon.c:
	* gnome-keyring-daemon.h:
	* gnome-keyring-proto.c:
	* gnome-keyring-proto.h:
	* gnome-keyring.c:
	* gnome-keyring.h:
	Allow to change the password of a keyring.
	Patch from Jon Nettleton

2006-04-19  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Update version to 0.5.0

	* MAINTAINERS:
	Added file

=== Branched for 2.14 work on gnome-2-14 branch ==

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-14  Dan Williams  <dcbw@redhat.com>

	* gnome-keyring-daemon-io.c
		- (gnome_keyring_client_state_machine): if we get a null string
		as the GNOME_CLIENT_STATE_READ_DISPLAYNAME for some reason,
		ignore the request.  Part of patch from Bug #156860

2006-04-14  Dan Williams  <dcbw@redhat.com>

	* configure.in
		- Check for getpeerucred

	* gnome-keyring-daemon-io.c
		- Use getpeerucred() if we have it (Solaris)

2006-04-14  Dan Williams  <dcbw@redhat.com>

	* configure.in
		- Check for /dev/random

	* gnome-keyring-daemon.c
		- (init_salt): don't hit /dev/random unless we've got it

2006-04-13  Sven Herzberg  <herzi@gnome-de.org>

	* .cvsignore,
	* reference/.cvsignore,
	* reference/tmpl/.cvsignore: silence

2006-04-11  Sven Herzberg  <herzi@gnome-de.org>

	* autogen.sh: accept command line parameters
	* reference/tmpl/empty.sgml: satisfy stupid make dependency

2006-04-11  Sven Herzberg  <herzi@gnome-de.org>

	reviewed by: Alex Larsson

	* Makefile.am: added the reference subdirectory
	* autogen.sh: enable gtk-doc for developer builds (necessary for dist)
	* configure.in: check for gtk-doc, set distcheck flags, build the
	Makefile
	* gnome-keyring.c: documented gnome_keyring_find_items_sync()
	* reference/Makefile.am: documentation build system
	* reference/gnome-keyring-docs.sgml: rough documentation framework
	* reference/gnome-keyring-sections.txt: some documentation
	categorization (needs to be further split)

2006-04-03  Dan Williams  <dcbw@redhat.com>

	* gnome-keyring-daemon.c
	    - (init_salt): use fstat() on /dev/random after opening it to
	    ensure that it's a character device.  Make general rather than just
	    for Linux, since Solaris and FreeBSD also use this code.
	    (Bug #141322)

2006-04-03  Dan Williams  <dcbw@redhat.com>

	* gnome-keyring-daemon.c
	    - (gnome_keyring_application_ref_new_from_pid): use g_file_read_link(),
	    and add code for reading app path on FreeBSD.  (Bug #141323)

2006-04-03  Dan Williams  <dcbw@redhat.com>

	* gnome-keyring-daemon-io.c
	  gnome-keyring.c
	    - Updates for FreeBSD / SCM_CREDS support, fix endian
	    issues on non-i386 platforms.

2006-04-03  Dan Williams  <dcbw@redhat.com>

	Patch from Joe Marcus Clarke <marcus@freebsd.org>
	
	* gnome-keyring.c
	  - Implement SCM_CREDS support (#142373)

2006-04-03  Dan Williams  <dcbw@redhat.com>

	Patch from Dave Malcolm <david@davemalcolm.demon.co.uk>

	* test.c
	  - More verbose error messages (Bug #141761)

2006-04-03  Dan Williams  <dcbw@redhat.com>

	Patch from Jon Nettleton <jon.nettleton@gmail.com>

	* gnome-keyring.c
	  - (gnome_keyring_get_info_sync): encode keyring name (Bug #336893)

2006-04-03  Dan Williams  <dcbw@redhat.com>

	* gnome-keyring-daemon-file.c
	  - (update_keyring_from_disk): fix leak (bug #319053)

2006-04-03  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* gnome-keyring-ask.c: (run_dialog): Added labels for the entries 
	(#323269).

2006-03-24  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-20  Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post-release version bump

=== gnome-keyring 0.4.9 ===

2006-03-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-03-03  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring.c:
	Get proper return values for some sync calls. (#332845)
	Patch from Jon Nettleton

2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	post release version bump

=== gnome-keyring 0.4.8 ===

2006-02-27  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2006-02-17  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c:
	Fix crash when you deny without typing a password.
	Patch from  Brent Smith

2006-02-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-keyring 0.4.7 ===

2006-02-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2006-01-07  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.

2005-12-16  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c (_):
	Fix !ENABLE_NLS case (#324213)

2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-keyring 0.4.6 ===

2005-11-14  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-10-26  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c: (access_request_default_keyring):
	Fix sparse warning. Patch from Kjartan Maraas.

2005-10-24  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c:
	Confirm password when selecting new password.
	Patch from Trevor Davenport (#311872)

2005-09-14  Fernando Herrera  <fherrera@onirica.com>

	* configure.in: Post release version bump.

=== gnome-keyring 0.4.5 ===

2005-09-14  Fernando Herrera  <fherrera@onirica.com>

	* NEWS:
	Update for release.

2005-09-14  Fernando Herrera  <fherrera@onirica.com>

	* gnome-keyring.c: (run_sync_operation),
	(gnome_keyring_set_default_keyring_sync),
	(gnome_keyring_lock_all_sync), (gnome_keyring_create_sync),
	(gnome_keyring_unlock_sync), (gnome_keyring_lock_sync),
	(gnome_keyring_delete_sync), (gnome_keyring_set_info_sync),
	(gnome_keyring_item_delete_sync),
	(gnome_keyring_item_set_info_sync),
	(gnome_keyring_item_set_attributes_sync),
	(gnome_keyring_item_set_acl_sync): Fix all these sync functions
	adding a receive buffer. Patch by Crispin Flowerday <crispin@gnome.org>

=== gnome-keyring 0.4.4 ===

2005-09-05  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-08-30  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c: (run_dialog):
	Fix warning (#310903)

2005-07-15  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Require gtk 2.6.0 (needed for gtk_window_set_icon_name)

2005-07-01  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump.

=== gnome-keyring 0.4.3 ===

2005-07-01  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-06-26  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-keyring-daemon-file.c: (update_keyrings_from_disk):
	Don't leak the name of the directory here. Closes bug #166797.

2005-06-23  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c: (run_dialog):
	Add window icon.
	Patch by Jaap A. Haitsma

2005-06-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-05-20  James Bowes  <bowes@cs.dal.ca>

	* gnome-keyring.c: (gnome_keyring_set_default_keyring_sync),
	(gnome_keyring_get_default_keyring_sync),
	(gnome_keyring_list_keyring_names_sync),
	(gnome_keyring_lock_all_sync), (gnome_keyring_create_sync),
	(gnome_keyring_unlock_sync), (gnome_keyring_lock_sync),
	(gnome_keyring_delete_sync), (gnome_keyring_get_info_sync),
	(gnome_keyring_set_info_sync), (gnome_keyring_list_item_ids_sync),
	(gnome_keyring_item_delete_sync),
	(gnome_keyring_item_get_info_sync),
	(gnome_keyring_item_set_info_sync),
	(gnome_keyring_item_get_attributes_sync),
	(gnome_keyring_item_set_attributes_sync),
	(gnome_keyring_item_get_acl_sync),
	(gnome_keyring_item_set_acl_sync):
	* gnome-keyring.h:
	Implement synchronous functions for all async functions.

2005-05-06  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon-file.c (generate_key):
	More char signedness fixes.
	Patch from Vincent Untz
	
2005-05-04  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon-file.c:
	* gnome-keyring-daemon-io.c:
	* gnome-keyring-proto.h:
	* md5.c:
	Fix char signness issues (#302938)
	Based on patch from Jeramy Rutley

2005-04-24  James Bowes  <bowes@cs.dal.ca>

	* gnome-keyring-daemon.c: (op_set_keyring_info_execute):
	* gnome-keyring-proto.c:
	(gnome_keyring_proto_encode_set_keyring_info),
	(gnome_keyring_proto_decode_set_item_info),
	(gnome_keyring_proto_decode_set_keyring_info):
	* gnome-keyring-proto.h: Implement gnome_keyring_set_info.

2005-04-21  James Bowes  <bowes@cs.dal.ca>

	* gnome-keyring-daemon.c: Fixed a typo in the 
	GnomeKeyringOperationImplementation keyring_ops, where 
	get_item_acl_execute was hooked to set_item..._collect.

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-23  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added 'xh' to ALL_LINGUAS.

2005-03-07  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump.

=== gnome-keyring 0.4.2 ===

2005-03-07  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release.

2005-02-21  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c:
	* gnome-keyring-daemon-io.c:
	* gnome-keyring-daemon.h:
	* gnome-keyring-private.h:
	* gnome-keyring.c:
	* gnome-keyring.h:
	Some AIX portability patches from The Written Word
	(#148385)

2005-01-14  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne "Nepali" in ALL_LINGUAS

2005-01-11  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump

=== gnome-keyring 0.4.1 ===

2005-01-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2004-11-26  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c: (lifetime_slave_pipe_io), (main):
	Added support for slaving lifetime to filedescriptor.

2004-10-11  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* configure.in:
	Added 'fa' (Persian) to ALL_LINGUAS

2004-09-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release bump.

=== gnome-keyring 0.4.0 ===

2004-09-13  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump version to 0.4

2004-09-09  Mugurel Tudor  <mugurelu@go.ro>

	* configure.in: Added ro to ALL_LINGUAS

2004-09-07  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring.c: 
	* gnome-keyring-daemon.c:
	Include string.h to fix build (#151825)

2004-08-30  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post-release version bump

=== gnome-keyring 0.3.3 ===

2004-08-30  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 0.3.3

2004-08-28  Akagic Amila  <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.	

2004-08-26  Jayaradha <njaya@redhat.com>

	* configure.in: Added ta to ALL_LINGUAS.

2004-08-26  Alexander Larsson  <alexl@redhat.com>

	* AUTHORS (Contributors):
	Add Fernando to AUTHORS.

2004-08-13  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb to ALL_LINGUAS.

2004-08-09 Amanpreet Singh Alam<aalam@redhat.com>
	*configure.in: Add Gujurati Lang

2004-08-07  Runa Bhattacharjee <runab@redhat.com>
	* configure.in: Added Bengali (bn) to ALL_LINGUAS.

2004-07-20  Fernando Herrera  <fherrera@onirica.com>

	* configure.in:
	Post release version bump

=== gnome-keyring 0.3.2 ===

2004-07-20  Fernando Herrera  <fherrera@onirica.com>

	* Makefile.am:
	* NEWS:
	* configure.in: Update for 0.3.2 release. Incremented micro number
	because of the API aditions.

2004-07-14  Fernando Herrera  <fherrera@onirica.com>

	reviewed by: Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon-file.c: (remove_keyring_file_from_disk):
	* gnome-keyring-daemon.c: (delete_keyring),
	(op_delete_keyring_execute), (op_get_item_acl_execute),
	(op_set_item_acl_execute):
	* gnome-keyring-daemon.h:
	* gnome-keyring-private.h:
	* gnome-keyring-proto.c: (gnome_keyring_proto_encode_set_acl),
	(gnome_keyring_proto_decode_acl), (gnome_keyring_proto_add_acl),
	(gnome_keyring_proto_decode_get_acl_reply),
	(gnome_keyring_proto_decode_set_attributes),
	(gnome_keyring_proto_decode_set_acl):
	* gnome-keyring-proto.h:
	* gnome-keyring-utils.c: (gnome_keyring_application_ref_new),
	(gnome_keyring_application_ref_free),
	(gnome_keyring_application_ref_copy),
	(gnome_keyring_access_control_new),
	(gnome_keyring_access_control_free),
	(gnome_keyring_access_control_copy), (gnome_keyring_acl_copy),
	(gnome_keyring_acl_free): Add support for deleting keyrings and
	setting/gettings ACL
	* gnome-keyring.c: (op_failed), (gnome_keyring_get_acl_reply),
	(gnome_keyring_item_get_acl), (gnome_keyring_item_set_acl),
	(gnome_keyring_item_ac_get_display_name),
	(gnome_keyring_item_ac_set_display_name),
	(gnome_keyring_item_ac_get_path_name),
	(gnome_keyring_item_ac_set_path_name),
	(gnome_keyring_item_ac_get_access_type),
	(gnome_keyring_item_ac_set_access_type):
	* gnome-keyring.h: new API functions for getting/setting ACL and for
	manipulating GnomeKeyringAccessControl

2004-07-05  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-keyring 0.3.1 ===

2004-07-05  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for 0.3.1

	* Makefile.am (EXTRA_DIST):
	Add keyring-intro.txt

2004-06-10  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c (op_unlock_keyring_execute):
	Make NULL unlock the default keyring.

2004-05-27  Mohammad DAMT  <mdamt@bisnisweb.com>
 
        * po/id.po: Added Indonesian translation done by Ahmad Riza H Nst <rizahnst@eriagempita.co.id>
        * configure.in: Added id to ALL_LINGUAS

2004-05-26  Alexander Shopov <ash@contact.bg>

	* configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS.

2004-05-21  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-05-18  Fernando Herrera  <fherrera@onirica.com>

	* keyring-intro.txt: New intro doc.

2004-04-19  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Bump version to 0.3.1 on head. 0.2.x is now on gnome-2-6 branch
	
2004-04-19  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-keyring 0.2.1 ===

2004-04-19  Alexander Larsson  <alexl@redhat.com>

	* NEWS:
	Update for release

2004-04-03  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configur.in: Added "is" to ALL_LINGUAS.
	
2004-03-24  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-22  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Post release version bump

=== gnome-keyring 0.2.0 ===

2004-03-22  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 0.2.0

2004-03-21  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "ca" "nl" "tr" "zh_CN" "zh_TW" to ALL_LINGUAS.

2004-03-20  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-19  Andras Timar  <timar@gnome.hu>

	* hu.po: Added "hu" (Hungarian) to ALL_LINGUAS.

2004-03-17  Dafydd Harries  <daf@muse.19inch.net>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS.

=== gnome-keyring 0.1.91 ===

2004-03-15  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 0.1.91

2004-03-13  Maxim Dziumanenko <mvd@mylinux.com.ua>

	* configure.in: Added uk (Ukrainian) to ALL_LINGUAS.

2004-03-11  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Russian to ALL_LINGUAS.

2004-03-10  Alexander Winston  <alexander.winston@comcast.net>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-03-10  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.in: Added pt_BR to ALL_LINGUAS.

=== gnome-keyring 0.1.90 ===

2004-03-08  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 0.1.90

2004-03-02  Glynn Foster  <glynn.foster@sun.com>

        * Makefile.am:
        * configure.in:
        * gnome-keyring-1-uninstalled.pc.in:
        Add uninstalled pkg-config file.

2004-02-27  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2004-02-25  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2004-02-22  Mətin Əmirov  <metin@karegen.com>

        * configure.in: Added "az" to ALL_LINGUAS.

2004-02-11  Arafat Medini  <lumina@silverpen.de>

        * configure.in: Added Arabic locale ar to ALL_LINGUAS.
                                            
2004-02-11  Pauli Virtanen  <pauli.virtanen@hut.fi>

	* configure.in: Added "fi" (Finnish) to ALL_LINGUAS.

=== gnome-keyring 0.1.4 ===

2004-02-11  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Bump to 0.1.4

2004-02-09  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am (INCLUDES): 
	* gnome-keyring-daemon.c (launch_ask_helper):
	Move gnome-keyring-ask to libexec.

2004-02-06  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-04  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2004-01-31  Sanlig Badral  <badral@openmn.org>

        * configure.in: Added "mn" (Mongolian) to ALL_LINGUAS.

2004-01-30  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added "da" (Danish) to ALL_LINGUAS.

=== gnome-keyring 0.1.3 ===

2004-01-30  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update to 0.1.3

2004-01-14  Jody Goldberg <jody@gnome.org>

	* gnome-keyring-ask.c : include <locale.h> cause -Werror makes a
	  missing include unhappy.

2004-01-15  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added "ko" to ALL_LINGUAS.

2004-01-14  Christian Neumair  <chris@gnome-de.org>

	* configure.in: (ALL_LINGUAS): Add German to ALL_LINGUAS.

2004-01-13  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c: (get_app_information),
	(get_keyring_information), (ask_for_keyring_password),
	(ask_for_new_keyring_password), (ask_for_default_keyring),
	(ask_for_item_read_write_acccess):
	Don't split up strings for translations.
	Mark some new strings translated.
	Patch from chris@gnome-de.org

2004-01-13  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* gnome-keyring-ask.c: (main):
	Actually use translations.

2004-01-13  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	* gnome-keyring-daemon-io.c:
	* gnome-keyring-daemon.c:
	Portability fixes from mterry@fastmail.fm

2004-01-13  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c:
	Fix some leaks.
	Patch from tom@aliacom.fr.

2004-01-12  Žygimantas Beručka  <uid0@tuxfamily.org>

	* configure.in: Added "lt" (Lithuanian) to ALL_LINGUAS.

=== gnome-keyring 0.1.2 ===

2004-01-12  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in: 
	Update for 0.1.2

2004-01-11  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in (ALL_LINGUAS): Added "fr" (French).

2004-01-08  David Coulthart  <davec@columbia.edu>

	* gnome-keyring.h: 
	* gnome-keyring.c: 
	* test.c:
	s/gnome_keyring_is_availible/gnome_keyring_is_available/

2004-01-08  Alex Duggan  <aldug@astrolinux.com>
	
	* configure.in: Require glib/gtk+ 2.3.1
	Fixes bug #129713
	
2004-01-07  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2004-01-07  Alex Duggan  <aldug@astrolinux.com>

	* gnome-keyring-daemon-io.c: Use g_get_tmp_dir () instead of 
	hardcoding "/tmp"
	* .cvsignore: Add gnome-keyring-1.pc

2004-01-06  Kostas Papadimas <pkst@gnome.org>

        * configure.in: Added Greek (el) to ALL_LINGUAS.   

2004-01-05  Artur Flinta  <aflinta@cvs.gnome.org>
                                                                                                         
        * configure.in: Added pl to ALL_LINGUAS.

=== gnome-keyring 0.1.1 ===

2003-12-28  Alexander Larsson  <alexl@redhat.com>

	* NEWS: 
	* configure.in:
	Update for 0.1.1

2003-12-27  Hasbullah Bin Pit <sebol@ikhlas.com>
                                                                                
        * configure.in: Added 'ms' (Malay) to ALL_LINGUAS.

2003-12-24  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2003-12-21  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* configure.in: Added Spanish "es" to ALL_LINGUAS.

2003-12-19  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c (main):
	Don't daemonize by default. gnome-keyring now dies with
	gnome-session. -d enables daemonization.

2003-12-17  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "cs" to ALL_LINGUAS.

2003-12-17  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2003-12-16  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c:
	(ask_for_item_read_write_acccess):
	Better wording for buttons

2003-12-16  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c (ask_for_new_keyring_password):
	Make the ask dialogs nicer.

2003-12-14  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add norwegian translation.
	* po/no.po: Here too.

2003-12-15  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.in: Added 'ja' Japanese into ALL_LINGUAS.

2003-12-10  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring.c (operation_io):
	Correct assertion

2003-12-09  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon-io.c:
	FreeBSD patches from Joe Marcus Clarke
	
2003-12-08  Alex Duggan  <aldug@astrolinux.com>

	* configure.in:
	* Makefile.am:
	Build fixes to make gnome-keyring build with jhbuild again.

2003-12-08  Alexander Larsson  <alexl@redhat.com>

	* mkdtemp.[ch]:
	* Makefile.am:
	replacement for suffering OSes (from gettext)

	* configure.in:
	* gnome-keyring-daemon.c:
	portability fixes
	
2003-12-08  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Make the version 0.1.0 so next version is 0.1.1

=== gnome-keyring 0.1 ===

2003-12-08  Alexander Larsson  <alexl@redhat.com>

	* AUTHORS: 
	* TODO: 
	* README: 
	* NEWS:
	Some text for the 0.1 release

2003-12-06  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c: (close_stdinout), (main):
	Print daemon pid on startup
	remove old test code
	correct envvar name
	
	* gnome-keyring.c: (connect_to_daemon):
	correct envvar name

2003-12-06  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c (main):
	Close stdin/stdout in daemon process.
	
2003-12-06  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c (main):
	Spawn in background unless -f specified
	clean up socket dir on exit

2003-12-05  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	remove AC_C_BIGENDIAN

2003-12-05  Alexander Larsson  <alexl@redhat.com>

	* TODO:
	update
	* gnome-keyring-daemon.c: (op_find_execute):
	fix typo
	
	* test.c: (print_attributes), (find_items_cb),
	(print_attributes_cb), (show_item):
	better find test

2003-12-05  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* sha256.[ch]:
	* beecrypt_compat.h:
	Added sha256 from beecrypt
	
	* file-format.txt:
	* gnome-keyring-daemon-file.c:
	* gnome-keyring-daemon.[ch]:
	Use sha256 to get key and iv for aes crypto
	Add salt and hash rounds count.
	Warning: This changes the file format.
	
	* gnome-keyring-proto.[ch]:
	New function gnome_keyring_proto_get_bytes

2003-12-04  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring.c (operation_io):
	Fix type issue.

2003-12-04  Alexander Larsson  <alexl@redhat.com>

	* configure.in: 
	* Makefile.am (libgnomekeyringincludedir): 
	* gnome-keyring-1.0.pc.in: 
	* gnome-keyring-1.pc.in:
	1.0 -> 1

2003-12-04  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring.c (find_network_password_callback):
	Pass the right user data
	
2003-12-04  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-proto.c:
	(gnome_keyring_proto_decode_result_integer_reply):
	Allow NULL integer
	
	* gnome-keyring.[ch]:
	Sync item creation
	
	* test.c:
	More tests

2003-12-04  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring.[ch]:
	Add gnome_keyring_is_availible.

	* gnome-keyring-daemon-io.c (create_master_socket):
	Only use 6 X:es in socket name

2003-12-03  Alexander Larsson  <alexl@redhat.com>

	* TODO:
	Updated
	
	* gnome-keyring-daemon.c:
	Clean up acl setting
	Implement update_if_exists for create_item
	Order find results least specific first
	
	* gnome-keyring-proto.[ch]:
	Implement update_if_exists for create_item
	
	* gnome-keyring-utils.c: (gnome_keyring_found_list_free):
	implement
	
	* gnome-keyring.[ch]:
	Implement sync find ops
	Make valist ops don't ignore NULL/0 attributes
	Implement network password helpers
	
	* test.c:
	some more tests

2003-12-01  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	* file-format.txt:
	* md5.[ch]:
	* sha1.[ch]:
	Switch from sha1 to md5 to get a right size key for AES.

	* gnome-keyring-daemon-file.c:
	md5 update

	* gnome-keyring-daemon.c:
	md5 update.
	append new items instead of prepending
	
	* TODO:
	Update
	
	* test.c:
	Fix up set default command name

2003-11-29  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-11-28  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon.c:
	* gnome-keyring-proto.c: 
	* gnome-keyring-proto.h:
	implement set_info and set_attributes
	
	* gnome-keyring.h:
	* gnome-keyring-utils.c:
	Add gnome_keyring_item_info_new
	
	* test.c:
	generic ok callback
	more tests

2003-11-28  Alexander Larsson  <alexl@redhat.com>

	* Makefile.am:
	Install header files and .pc file
	
	* configure.in:
	* gnome-keyring-1.0.pc.in:
	pkg-config file for gnome-keyring
	
	* gnome-keyring.h:
	add some comments about the unfinished part

2003-11-28  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-daemon-file.c: (set_default_keyring):
	Handle setting to NULL.
	
	* gnome-keyring-daemon-io.c:
	(gnome_keyring_client_fixup_for_deleted),
	(gnome_keyring_client_state_machine):
	Clean up clients outstanding access requests when
	items/keyring are deleted
	
	* gnome-keyring-daemon.c:
	Clean up outstanding ask access requests when
	items/keyring are deleted.
	Fix up item/keyring destruction paths
	implement lock, lock_all & delete_item
	
	* gnome-keyring-daemon.h:
	New functions
	
	* gnome-keyring-proto.h:
	Remove unnecessary enum value
	
	* gnome-keyring.c: (gnome_keyring_item_delete):
	Fix opcode for delete_item
	
	* test.c:
	Make usable

2003-11-28  Alexander Larsson  <alexl@redhat.com>

	* .cvsignore:
	* Makefile.am:
	* test.c:
	Add cheesy test app

	* gnome-keyring-daemon-file.c:
	fix errno bugs
	New function set_default_keyring
	Read the default keyring on update_keyrings
	
	* gnome-keyring-daemon.c:
	Reset default_keyring to NULL when its destroyed
	implement set_default_keyring
	fix errno bugs
	
	* gnome-keyring-daemon.h:
	Export new stuff and clean up indention a bit
	
	* list-keyrings.c:
	Nicer output

2003-11-28  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-utils.c (gnome_keyring_item_info_free):
	Don't crash if info is NULL

	* gnome-keyring-daemon.c:
	Implement gnome_keyring_ask_cancel

	* gnome-keyring-daemon-io.c (gnome_keyring_client_state_machine):
	Avoid crash on gnome_keyring_ask reentrancy
	
2003-11-28  Alexander Larsson  <alexl@redhat.com>

	* gnome-keyring-ask.c:
	Fix gettext include

2003-11-28  Alexander Larsson  <alexl@redhat.com>

	* COPYING.LIB:
	Add LGPL file
	
	* gnome-keyring-ask.c:
	Fix up gettext defines
	
	* gnome-keyring-ask.c:
	* gnome-keyring-daemon-file.c:
	* gnome-keyring-daemon-io.c:
	* gnome-keyring-daemon.c:
	* gnome-keyring-daemon.h:
	* gnome-keyring-private.h:
	* gnome-keyring-proto.c:
	* gnome-keyring-proto.h:
	* gnome-keyring-utils.c:
	* gnome-keyring.c:
	* gnome-keyring.h:
	* list-keyrings.c:
	Add GPL/LGPL headers.
	Library is LGPL, daemon and gui is GPL.
